quick and dirty workaround for pkgconf no longer outputting Requires.private for --libs (?)

```
$ rg 'dependencies ?: \[' -l | xargs sd 'dependencies ?: \[' 'dependencies : [glib_dep, gobject_dep, '
```

diff --git a/ext/aes/meson.build b/ext/aes/meson.build
index 169fb83..70d86c8 100644
--- a/ext/aes/meson.build
+++ b/ext/aes/meson.build
@@ -18,7 +18,7 @@ gstaes = library('gstaes',
   c_args : gst_plugins_bad_args + aes_cargs,
   link_args : noseh_link_args,
   include_directories : [configinc],
-  dependencies : [gstpbutils_dep, gstvideo_dep,
+  dependencies : [glib_dep, gobject_dep, gstpbutils_dep, gstvideo_dep,
                   aes_dep, gio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
diff --git a/ext/analyticsoverlay/meson.build b/ext/analyticsoverlay/meson.build
index 824b382..f436181 100644
--- a/ext/analyticsoverlay/meson.build
+++ b/ext/analyticsoverlay/meson.build
@@ -13,7 +13,7 @@ if gstanalyticsoverlay_ext_dep.found()
     analyticsoverlay_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc, libsinc],
-    dependencies : [
+    dependencies : [glib_dep, gobject_dep,
       gstbase_dep, gstvideo_dep, gstanalytics_dep, gstanalyticsoverlay_ext_dep
       ],
     install : true,
diff --git a/ext/aom/meson.build b/ext/aom/meson.build
index 48fb182..de7b48f 100644
--- a/ext/aom/meson.build
+++ b/ext/aom/meson.build
@@ -14,7 +14,7 @@ if aom_dep.found()
     ['gstaom.c', 'gstav1enc.c', 'gstav1dec.c', 'gstav1utils.c'],
     c_args : gst_plugins_bad_args + aom_defines,
     include_directories : [configinc],
-    dependencies : [gstpbutils_dep, gstvideo_dep, aom_dep],
+    dependencies : [glib_dep, gobject_dep, gstpbutils_dep, gstvideo_dep, aom_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/assrender/meson.build b/ext/assrender/meson.build
index a51a755..12a59f7 100644
--- a/ext/assrender/meson.build
+++ b/ext/assrender/meson.build
@@ -5,7 +5,7 @@ if ass_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, ass_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, ass_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/avtp/meson.build b/ext/avtp/meson.build
index bc359fd..feed278 100644
--- a/ext/avtp/meson.build
+++ b/ext/avtp/meson.build
@@ -37,7 +37,7 @@ if avtp_dep.found()
     avtp_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstvideo_dep, avtp_dep, libm],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstvideo_dep, avtp_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/bs2b/meson.build b/ext/bs2b/meson.build
index a7f0057..98ca1ef 100644
--- a/ext/bs2b/meson.build
+++ b/ext/bs2b/meson.build
@@ -8,7 +8,7 @@ if bs2b_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstaudio_dep, gstbase_dep, bs2b_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbase_dep, bs2b_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/bz2/meson.build b/ext/bz2/meson.build
index 9ce8a8c..3610fea 100644
--- a/ext/bz2/meson.build
+++ b/ext/bz2/meson.build
@@ -11,7 +11,7 @@ if bz2_dep.found() and cc.has_header_symbol('bzlib.h', 'BZ2_bzlibVersion')
     bz2_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, bz2_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, bz2_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/chromaprint/meson.build b/ext/chromaprint/meson.build
index c2f5a4b..7506d3b 100644
--- a/ext/chromaprint/meson.build
+++ b/ext/chromaprint/meson.build
@@ -5,7 +5,7 @@ if chromaprint_dep.found()
     'gstchromaprint.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, chromaprint_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, chromaprint_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/closedcaption/meson.build b/ext/closedcaption/meson.build
index 6b7df1c..12800e0 100644
--- a/ext/closedcaption/meson.build
+++ b/ext/closedcaption/meson.build
@@ -17,7 +17,7 @@ if closedcaption_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, gstbase_dep, gst_dep, closedcaption_dep, libm],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstbase_dep, gst_dep, closedcaption_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/codec2json/meson.build b/ext/codec2json/meson.build
index 96e4b7e..5c624b9 100644
--- a/ext/codec2json/meson.build
+++ b/ext/codec2json/meson.build
@@ -19,7 +19,7 @@ if json_dep.found()
     include_directories : [configinc],
     install : true,
     install_dir : plugins_install_dir,
-    dependencies : [gstvideo_dep, gstcodecparsers_dep, json_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstcodecparsers_dep, json_dep],
   )
   plugins += [gstcodec2json]
 endif
diff --git a/ext/colormanagement/meson.build b/ext/colormanagement/meson.build
index 187d089..9cb35ac 100644
--- a/ext/colormanagement/meson.build
+++ b/ext/colormanagement/meson.build
@@ -5,7 +5,7 @@ if lcms2_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep, lcms2_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, lcms2_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/curl/meson.build b/ext/curl/meson.build
index eb8d286..8167037 100644
--- a/ext/curl/meson.build
+++ b/ext/curl/meson.build
@@ -23,7 +23,7 @@ if curl_dep.found()
     curl_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstbase_dep, curl_dep] + winsock2 + network_deps,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, curl_dep] + winsock2 + network_deps,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/dash/meson.build b/ext/dash/meson.build
index dbaf99e..ba79158 100644
--- a/ext/dash/meson.build
+++ b/ext/dash/meson.build
@@ -45,7 +45,7 @@ if xml2_dep.found()
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstadaptivedemux_dep, gsturidownloader_dep, gsttag_dep,
+    dependencies : [glib_dep, gobject_dep, gstadaptivedemux_dep, gsturidownloader_dep, gsttag_dep,
                     gstnet_dep, gstpbutils_dep, gstbase_dep, gstisoff_dep,
                     gio_dep, xml2_dep],
     install : true,
diff --git a/ext/dc1394/meson.build b/ext/dc1394/meson.build
index 7255e64..543813a 100644
--- a/ext/dc1394/meson.build
+++ b/ext/dc1394/meson.build
@@ -4,7 +4,7 @@ if dc1394_dep.found()
     'gstdc1394src.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstvideo_dep, dc1394_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, dc1394_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/directfb/meson.build b/ext/directfb/meson.build
index e3023c5..e6b983a 100644
--- a/ext/directfb/meson.build
+++ b/ext/directfb/meson.build
@@ -5,7 +5,7 @@ if directfb_dep.found()
     'dfbvideosink.c',
     c_args : gst_plugins_bad_args + cc.get_supported_arguments('-Wno-redundant-decls'),
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, directfb_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, directfb_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/dtls/meson.build b/ext/dtls/meson.build
index ca07da0..8701e54 100644
--- a/ext/dtls/meson.build
+++ b/ext/dtls/meson.build
@@ -21,7 +21,7 @@ if openssl_dep.found() and libcrypto_dep.found()
     dtls_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gst_dep, libcrypto_dep, openssl_dep] + winsock2,
+    dependencies : [glib_dep, gobject_dep, gst_dep, libcrypto_dep, openssl_dep] + winsock2,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/dts/meson.build b/ext/dts/meson.build
index c4868a4..33120e1 100644
--- a/ext/dts/meson.build
+++ b/ext/dts/meson.build
@@ -32,7 +32,7 @@ if dca_dep.found()
     c_args : gst_plugins_bad_args + no_warn_c_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstaudio_dep, orc_dep, dca_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, orc_dep, dca_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/faac/meson.build b/ext/faac/meson.build
index 4b1e54c..15fd8fd 100644
--- a/ext/faac/meson.build
+++ b/ext/faac/meson.build
@@ -9,7 +9,7 @@ if faac_dep.found() and have_faac_h
     'gstfaac.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstpbutils_dep, gsttag_dep, faac_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstpbutils_dep, gsttag_dep, faac_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/faad/meson.build b/ext/faad/meson.build
index e7ba28c..a2b01f8 100644
--- a/ext/faad/meson.build
+++ b/ext/faad/meson.build
@@ -24,7 +24,7 @@ if faad_dep.found() and have_faad_2_7
     c_args : gst_plugins_bad_args + [ '-DFAAD2_MINOR_VERSION=7', '-DFAAD_IS_NEAAC' ],
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstpbutils_dep, gsttag_dep, faad_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstpbutils_dep, gsttag_dep, faad_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/fdkaac/meson.build b/ext/fdkaac/meson.build
index 2d30cb7..7a53939 100644
--- a/ext/fdkaac/meson.build
+++ b/ext/fdkaac/meson.build
@@ -17,7 +17,7 @@ if fdkaac_dep.found()
     ['gstfdkaac.c', 'gstfdkaacenc.c', 'gstfdkaacdec.c','gstfdkaacplugin.c'],
     c_args : gst_plugins_bad_args + fdkaac_defines,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstpbutils_dep, fdkaac_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstpbutils_dep, fdkaac_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/flite/meson.build b/ext/flite/meson.build
index 8e8a654..bb6063e 100644
--- a/ext/flite/meson.build
+++ b/ext/flite/meson.build
@@ -31,7 +31,7 @@ if flite_deps.length() == flite_libs.length() and have_flite_h
     flite_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep] + flite_deps,
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep] + flite_deps,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/fluidsynth/meson.build b/ext/fluidsynth/meson.build
index 20da6d8..c3da641 100644
--- a/ext/fluidsynth/meson.build
+++ b/ext/fluidsynth/meson.build
@@ -5,7 +5,7 @@ if fluidsynth_dep.found()
     'gstfluiddec.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gst_dep, fluidsynth_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gst_dep, fluidsynth_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/gme/meson.build b/ext/gme/meson.build
index 3f31e9c..4807764 100644
--- a/ext/gme/meson.build
+++ b/ext/gme/meson.build
@@ -13,7 +13,7 @@ if have_gme
   gstgme = library('gstgme', 'gstgme.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstaudio_dep, gme_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gme_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/gs/meson.build b/ext/gs/meson.build
index 07429e4..275550b 100644
--- a/ext/gs/meson.build
+++ b/ext/gs/meson.build
@@ -13,7 +13,7 @@ if gs_dep.found()
     c_args : gst_plugins_bad_args,
     cpp_args : gst_plugins_bad_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstbase_dep, gs_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gs_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/gsm/meson.build b/ext/gsm/meson.build
index 5961cd0..aed0ff6 100644
--- a/ext/gsm/meson.build
+++ b/ext/gsm/meson.build
@@ -20,7 +20,7 @@ if gsm_dep.found() and have_gsm_create
     ['gstgsm.c', 'gstgsmenc.c', 'gstgsmdec.c'],
     c_args : gst_plugins_bad_args + gsm_cargs,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gsm_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gsm_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/gtk/meson.build b/ext/gtk/meson.build
index 70a45b8..ff063c6 100644
--- a/ext/gtk/meson.build
+++ b/ext/gtk/meson.build
@@ -18,7 +18,7 @@ if gtk_dep.found() and gtk_wayland_dep.found()
     gtkwayland_sources,
     c_args :  gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     include_directories : [configinc],
-    dependencies : [gtk_dep, gstvideo_dep, gstwayland_dep],
+    dependencies : [glib_dep, gobject_dep, gtk_dep, gstvideo_dep, gstwayland_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/hls/meson.build b/ext/hls/meson.build
index bfd370b..cc732c1 100644
--- a/ext/hls/meson.build
+++ b/ext/hls/meson.build
@@ -57,7 +57,7 @@ gsthls = library('gsthls',
   c_args : gst_plugins_bad_args + hls_cargs,
   link_args : noseh_link_args,
   include_directories : [configinc],
-  dependencies : [gstpbutils_dep, gsttag_dep, gstvideo_dep,
+  dependencies : [glib_dep, gobject_dep, gstpbutils_dep, gsttag_dep, gstvideo_dep,
                   gstadaptivedemux_dep, gsturidownloader_dep,
                   hls_crypto_dep, gio_dep, libm],
   install : true,
diff --git a/ext/iqa/meson.build b/ext/iqa/meson.build
index d31825a..562c72c 100644
--- a/ext/iqa/meson.build
+++ b/ext/iqa/meson.build
@@ -11,7 +11,7 @@ if dssim_dep.found()
     'iqa.c',
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API', '-DHAVE_DSSIM'],
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, gstbase_dep, gst_dep, dssim_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstbase_dep, gst_dep, dssim_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/isac/meson.build b/ext/isac/meson.build
index 68e9e4f..57f394e 100644
--- a/ext/isac/meson.build
+++ b/ext/isac/meson.build
@@ -16,7 +16,7 @@ if webrtc_audio_coding_dep.found()
   gstisac = library('gstisac', isac_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, webrtc_audio_coding_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, webrtc_audio_coding_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/ladspa/meson.build b/ext/ladspa/meson.build
index 946ef9b..ad09fb4 100644
--- a/ext/ladspa/meson.build
+++ b/ext/ladspa/meson.build
@@ -28,7 +28,7 @@ if have_ladspa_h
     c_args : gst_plugins_bad_args + ladspa_cargs,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstaudio_dep, gstbase_dep, gmodule_dep, lrdf_dep, libm],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbase_dep, gmodule_dep, lrdf_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/lc3/meson.build b/ext/lc3/meson.build
index 89c24fd..5007b52 100644
--- a/ext/lc3/meson.build
+++ b/ext/lc3/meson.build
@@ -11,7 +11,7 @@ if lc3_dep.found()
     lc3_sources,
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstaudio_dep, lc3_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, lc3_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/ldac/meson.build b/ext/ldac/meson.build
index 389af65..62a0def 100644
--- a/ext/ldac/meson.build
+++ b/ext/ldac/meson.build
@@ -10,7 +10,7 @@ if ldac_dep.found()
     ldac_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, ldac_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, ldac_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/libde265/meson.build b/ext/libde265/meson.build
index 1cd7dd6..f9ed146 100644
--- a/ext/libde265/meson.build
+++ b/ext/libde265/meson.build
@@ -10,7 +10,7 @@ if de265_dep.found()
     de265_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, de265_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, de265_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/lv2/meson.build b/ext/lv2/meson.build
index c6ad91f..b127296 100644
--- a/ext/lv2/meson.build
+++ b/ext/lv2/meson.build
@@ -12,7 +12,7 @@ if lv2_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstbase_dep, lv2_dep, libm],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbase_dep, lv2_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/mdns/meson.build b/ext/mdns/meson.build
index ffa7493..7394908 100644
--- a/ext/mdns/meson.build
+++ b/ext/mdns/meson.build
@@ -8,7 +8,7 @@ if microdns_dep.found()
     ['gstmicrodns.c', 'gstmicrodnsdevice.c'],
     c_args : gst_plugins_bad_args,
     include_directories : incdirs,
-    dependencies : [gst_dep, microdns_dep],
+    dependencies : [glib_dep, gobject_dep, gst_dep, microdns_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/modplug/meson.build b/ext/modplug/meson.build
index 0cd3025..f4fcb0e 100644
--- a/ext/modplug/meson.build
+++ b/ext/modplug/meson.build
@@ -9,7 +9,7 @@ if modplug_dep.found()
     'gstmodplug.cc',
     cpp_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstaudio_dep, modplug_dep, libm],
+    dependencies: [glib_dep, gobject_dep, gstaudio_dep, modplug_dep, libm],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/mpeg2enc/meson.build b/ext/mpeg2enc/meson.build
index baa0a62..86cc25c 100644
--- a/ext/mpeg2enc/meson.build
+++ b/ext/mpeg2enc/meson.build
@@ -30,7 +30,7 @@ if mjpegtools_dep.found() and mpeg2enc_dep.found()
     cpp_args : gst_plugins_bad_args + ['-DGST_MJPEGTOOLS_API=20000'] + no_warn_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstvideo_dep, mjpegtools_dep, mpeg2enc_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, mjpegtools_dep, mpeg2enc_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/mplex/meson.build b/ext/mplex/meson.build
index 024293b..ded1a7a 100644
--- a/ext/mplex/meson.build
+++ b/ext/mplex/meson.build
@@ -16,7 +16,7 @@ if mjpegtools_dep.found() and mplex2_dep.found()
     cpp_args : gst_plugins_bad_args + ['-DGST_MJPEGTOOLS_API=20000'],
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstaudio_dep, mjpegtools_dep, mplex2_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, mjpegtools_dep, mplex2_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/musepack/meson.build b/ext/musepack/meson.build
index 1cec04d..5b8a9f4 100644
--- a/ext/musepack/meson.build
+++ b/ext/musepack/meson.build
@@ -6,7 +6,7 @@ if mpcdec_dep.found() and cc.has_header_symbol('mpc/mpcdec.h', 'mpc_demux_init',
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, mpcdec_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, mpcdec_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/neon/meson.build b/ext/neon/meson.build
index 7c2696c..1fb3384 100644
--- a/ext/neon/meson.build
+++ b/ext/neon/meson.build
@@ -5,7 +5,7 @@ if neon_dep.found()
     'gstneonhttpsrc.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, neon_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, neon_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstneon]
diff --git a/ext/onnx/meson.build b/ext/onnx/meson.build
index ceb0b9a..8dd5e5d 100644
--- a/ext/onnx/meson.build
+++ b/ext/onnx/meson.build
@@ -23,7 +23,7 @@ if onnxrt_dep.found()
     cpp_args : gst_plugins_bad_args + extra_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc, cuda_stubinc],
-    dependencies : [gstbase_dep, gstvideo_dep, gstanalytics_dep, onnxrt_dep,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstanalytics_dep, onnxrt_dep,
         libm, gio_dep] + extra_deps,
     install : true,
     install_dir : plugins_install_dir,
diff --git a/ext/openal/meson.build b/ext/openal/meson.build
index 8a2f430..eaed808 100644
--- a/ext/openal/meson.build
+++ b/ext/openal/meson.build
@@ -5,7 +5,7 @@ if openal_dep.found()
     'gstopenal.c', 'gstopenalelement.c', 'gstopenalsink.c', 'gstopenalsrc.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc, libsinc],
-    dependencies: [gstaudio_dep, openal_dep],
+    dependencies: [glib_dep, gobject_dep, gstaudio_dep, openal_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/openaptx/meson.build b/ext/openaptx/meson.build
index ee434ca..8f094c3 100644
--- a/ext/openaptx/meson.build
+++ b/ext/openaptx/meson.build
@@ -22,7 +22,7 @@ if openaptx_dep.found()
     openaptx_sources,
     c_args : gst_plugins_bad_args + openaptx_defines,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, openaptx_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, openaptx_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/opencv/meson.build b/ext/opencv/meson.build
index bd3a07d..f5a33df 100644
--- a/ext/opencv/meson.build
+++ b/ext/opencv/meson.build
@@ -40,7 +40,7 @@ if opencv_found
     cpp_args : gst_plugins_bad_args + gstopencv_cargs + [ '-DGST_USE_UNSTABLE_API' ],
     link_args : [noseh_link_args, '-lopencv_tracking'],
     include_directories : [configinc, libsinc],
-    dependencies : [gstbase_dep, gstvideo_dep, opencv_dep, gstopencv_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, opencv_dep, gstopencv_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/openexr/meson.build b/ext/openexr/meson.build
index 66f8d87..808b03f 100644
--- a/ext/openexr/meson.build
+++ b/ext/openexr/meson.build
@@ -28,7 +28,7 @@ if openexr_dep.found()
     cpp_args: gst_plugins_bad_args,
     link_args: noseh_link_args,
     include_directories: [configinc, libsinc],
-    dependencies: [gstvideo_dep, openexr_dep],
+    dependencies: [glib_dep, gobject_dep, gstvideo_dep, openexr_dep],
     override_options: openexr_override_options,
     install: true,
     install_dir: plugins_install_dir,
diff --git a/ext/openh264/meson.build b/ext/openh264/meson.build
index c6f247e..e29262b 100644
--- a/ext/openh264/meson.build
+++ b/ext/openh264/meson.build
@@ -14,7 +14,7 @@ if openh264_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, openh264_dep, gstpbutils_dep, ],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, openh264_dep, gstpbutils_dep, ],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/openjpeg/meson.build b/ext/openjpeg/meson.build
index 05a895e..635ce19 100644
--- a/ext/openjpeg/meson.build
+++ b/ext/openjpeg/meson.build
@@ -17,7 +17,7 @@ if openjpeg_dep.found()
     c_args : gst_plugins_bad_args + openjpeg_cargs,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gst_dep, gstvideo_dep, openjpeg_dep,
+    dependencies : [glib_dep, gobject_dep, gst_dep, gstvideo_dep, openjpeg_dep,
 		    gstcodecparsers_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/ext/openmpt/meson.build b/ext/openmpt/meson.build
index 3ef0860..e85a991 100644
--- a/ext/openmpt/meson.build
+++ b/ext/openmpt/meson.build
@@ -4,7 +4,7 @@ if openmpt_dep.found()
     'gstopenmptdec.c', 'plugin.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstbadaudio_dep, gstaudio_dep, openmpt_dep],
+    dependencies : [glib_dep, gobject_dep, gstbadaudio_dep, gstaudio_dep, openmpt_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/openni2/meson.build b/ext/openni2/meson.build
index b642fb2..7179ed9 100644
--- a/ext/openni2/meson.build
+++ b/ext/openni2/meson.build
@@ -9,7 +9,7 @@ if openni2_dep.found()
     cpp_args: gst_plugins_bad_args,
     link_args: noseh_link_args,
     include_directories: [configinc],
-    dependencies: [gstvideo_dep, openni2_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, openni2_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/opus/meson.build b/ext/opus/meson.build
index 5b20200..d83746f 100644
--- a/ext/opus/meson.build
+++ b/ext/opus/meson.build
@@ -12,7 +12,7 @@ if opus_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstrtp_dep, gstpbutils_dep, gstaudio_dep,
+    dependencies : [glib_dep, gobject_dep, gstrtp_dep, gstpbutils_dep, gstaudio_dep,
                     gsttag_dep, opus_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/ext/qroverlay/meson.build b/ext/qroverlay/meson.build
index 42fbed9..39e7380 100644
--- a/ext/qroverlay/meson.build
+++ b/ext/qroverlay/meson.build
@@ -5,7 +5,7 @@ if qrencode_dep.found()
     gstqroverlay = library('gstqroverlay', ['gstqroverlay.c', 'gstdebugqroverlay.c', 'gstbaseqroverlay.c', 'gstqroverlayelement.c', 'gstqroverlayplugin.c'],
       c_args : gst_plugins_bad_args,
       include_directories : [configinc],
-      dependencies : [gstvideo_dep, qrencode_dep, json_dep],
+      dependencies : [glib_dep, gobject_dep, gstvideo_dep, qrencode_dep, json_dep],
       install : true,
       install_dir : plugins_install_dir,
     )
diff --git a/ext/qt6d3d11/meson.build b/ext/qt6d3d11/meson.build
index d94bfdf..c899960 100644
--- a/ext/qt6d3d11/meson.build
+++ b/ext/qt6d3d11/meson.build
@@ -45,7 +45,7 @@ gstqt6d3d11 = library('gstqt6d3d11', gstqt6d3d11_sources, moc_files,
   c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   cpp_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories: [configinc, libsinc],
-  dependencies : [gst_dep, gstvideo_dep, gstd3d11_dep, qt6qml_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstvideo_dep, gstd3d11_dep, qt6qml_dep],
   override_options : ['cpp_std=c++17'],
   install: true,
   install_dir : plugins_install_dir
diff --git a/ext/resindvd/meson.build b/ext/resindvd/meson.build
index 3f3c8f2..33eda9d 100644
--- a/ext/resindvd/meson.build
+++ b/ext/resindvd/meson.build
@@ -24,7 +24,7 @@ if dvdnav_dep.found() and dvdread_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstvideo_dep, gstpbutils_dep, gsttag_dep,
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstpbutils_dep, gsttag_dep,
                     dvdnav_dep, dvdread_dep, gmodule_dep],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/ext/rsvg/meson.build b/ext/rsvg/meson.build
index fc09d2b..056f22f 100644
--- a/ext/rsvg/meson.build
+++ b/ext/rsvg/meson.build
@@ -12,7 +12,7 @@ if rsvg_dep.found() and cairo_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, rsvg_dep, cairo_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, rsvg_dep, cairo_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/rtmp/meson.build b/ext/rtmp/meson.build
index b297055..25926d8 100644
--- a/ext/rtmp/meson.build
+++ b/ext/rtmp/meson.build
@@ -12,7 +12,7 @@ if rtmp_dep.found()
     rtmp_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstbase_dep, rtmp_dep] + winsock2,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, rtmp_dep] + winsock2,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/sbc/meson.build b/ext/sbc/meson.build
index 32247ac..0dfcceb 100644
--- a/ext/sbc/meson.build
+++ b/ext/sbc/meson.build
@@ -11,7 +11,7 @@ if sbc_dep.found()
     sbc_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, sbc_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, sbc_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/sctp/meson.build b/ext/sctp/meson.build
index 2b4f88a..70f3e83 100644
--- a/ext/sctp/meson.build
+++ b/ext/sctp/meson.build
@@ -54,7 +54,7 @@ if sctp_dep.found() and sctp_header
     sctp_sources,
     c_args : gst_plugins_bad_args + sctp_args,
     include_directories : [configinc],
-    dependencies : [sctp_dep, gst_dep, gstbase_dep, gstsctp_dep, sctp_platform_deps],
+    dependencies : [glib_dep, gobject_dep, sctp_dep, gst_dep, gstbase_dep, gstsctp_dep, sctp_platform_deps],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/smoothstreaming/meson.build b/ext/smoothstreaming/meson.build
index 4a53721..fd840c0 100644
--- a/ext/smoothstreaming/meson.build
+++ b/ext/smoothstreaming/meson.build
@@ -13,7 +13,7 @@ if xml28_dep.found()
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gst_dep, gstadaptivedemux_dep, gstcodecparsers_dep,
+    dependencies : [glib_dep, gobject_dep, gst_dep, gstadaptivedemux_dep, gstcodecparsers_dep,
 		    gsturidownloader_dep, gstisoff_dep, xml28_dep, gio_dep],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/ext/sndfile/meson.build b/ext/sndfile/meson.build
index 7023316..9701a9a 100644
--- a/ext/sndfile/meson.build
+++ b/ext/sndfile/meson.build
@@ -5,7 +5,7 @@ if sndfile_dep.found()
     'gstsf.c', 'gstsfelement.c', 'gstsfdec.c', # 'gstsfsink.c', 'gstsfsrc.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc, libsinc],
-    dependencies: [gstaudio_dep, gst_dep, sndfile_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gst_dep, sndfile_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/soundtouch/meson.build b/ext/soundtouch/meson.build
index 83967e5..9ace5c9 100644
--- a/ext/soundtouch/meson.build
+++ b/ext/soundtouch/meson.build
@@ -32,7 +32,7 @@ if soundtouch_dep.found()
     c_args : gst_plugins_bad_args + soundtouch_cargs,
     cpp_args : gst_plugins_bad_args + soundtouch_cargs,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, soundtouch_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, soundtouch_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstsoundtouch]
diff --git a/ext/spandsp/meson.build b/ext/spandsp/meson.build
index 7725d98..e25a502 100644
--- a/ext/spandsp/meson.build
+++ b/ext/spandsp/meson.build
@@ -15,7 +15,7 @@ if spandsp_dep.found()
     spandsp_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, spandsp_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, spandsp_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/srt/meson.build b/ext/srt/meson.build
index ce4dee0..82f9193 100644
--- a/ext/srt/meson.build
+++ b/ext/srt/meson.build
@@ -31,7 +31,7 @@ if srt_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc, libsinc],
-    dependencies : [gstbase_dep, gio_dep, srt_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gio_dep, srt_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/srtp/meson.build b/ext/srtp/meson.build
index d15d58c..d32674d 100644
--- a/ext/srtp/meson.build
+++ b/ext/srtp/meson.build
@@ -37,7 +37,7 @@ if srtp_dep.found()
     c_args : gst_plugins_bad_args + srtp_cargs,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstrtp_dep, gstvideo_dep, srtp_dep],
+    dependencies : [glib_dep, gobject_dep, gstrtp_dep, gstvideo_dep, srtp_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/svtav1/meson.build b/ext/svtav1/meson.build
index 202720c..ca97833 100644
--- a/ext/svtav1/meson.build
+++ b/ext/svtav1/meson.build
@@ -9,7 +9,7 @@ if svtav1_dep.found()
     svtav1_sources,
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep, svtav1_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, svtav1_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/svthevcenc/meson.build b/ext/svthevcenc/meson.build
index bdefed8..b3d902b 100644
--- a/ext/svthevcenc/meson.build
+++ b/ext/svthevcenc/meson.build
@@ -9,7 +9,7 @@ if svthevcenc_dep.found()
     svthevcenc_sources,
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstpbutils_dep, gstvideo_dep, gstcodecparsers_dep, svthevcenc_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstpbutils_dep, gstvideo_dep, gstcodecparsers_dep, svthevcenc_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/teletextdec/meson.build b/ext/teletextdec/meson.build
index 9f06fc0..b59b51c 100644
--- a/ext/teletextdec/meson.build
+++ b/ext/teletextdec/meson.build
@@ -6,7 +6,7 @@ if zvbi_dep.found()
     c_args: gst_plugins_bad_args,
     link_args: noseh_link_args,
     include_directories: [configinc],
-    dependencies: [gstvideo_dep, zvbi_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, zvbi_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/ttml/meson.build b/ext/ttml/meson.build
index 8b7dcc4..e6dd506 100644
--- a/ext/ttml/meson.build
+++ b/ext/ttml/meson.build
@@ -14,7 +14,7 @@ if libxml_dep.found() and pango_dep.found() and cairo_dep.found() and pangocairo
      'gstttmlplugin.c'],
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, libxml_dep, pango_dep, cairo_dep, pangocairo_dep, libm],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, libxml_dep, pango_dep, cairo_dep, pangocairo_dep, libm],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/voaacenc/meson.build b/ext/voaacenc/meson.build
index ab641b6..160df81 100644
--- a/ext/voaacenc/meson.build
+++ b/ext/voaacenc/meson.build
@@ -8,7 +8,7 @@ if voaac_dep.found()
     c_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstpbutils_dep, gstaudio_dep, voaac_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstpbutils_dep, gstaudio_dep, voaac_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/voamrwbenc/meson.build b/ext/voamrwbenc/meson.build
index 4399c3f..e225c48 100644
--- a/ext/voamrwbenc/meson.build
+++ b/ext/voamrwbenc/meson.build
@@ -6,7 +6,7 @@ if voamrwbenc_dep.found()
     c_args: gst_plugins_bad_args,
     link_args: noseh_link_args,
     include_directories: [configinc],
-    dependencies: [gstaudio_dep, gstpbutils_dep, gsttag_dep, voamrwbenc_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstpbutils_dep, gsttag_dep, voamrwbenc_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/vulkan/meson.build b/ext/vulkan/meson.build
index 1d4d0dd..9973f58 100644
--- a/ext/vulkan/meson.build
+++ b/ext/vulkan/meson.build
@@ -52,7 +52,7 @@ gstvulkan_plugin = library('gstvulkan',
   objc_args : gst_plugins_bad_args,
   link_args : noseh_link_args,
   include_directories : [configinc],
-  dependencies : [gstvideo_dep, gstbase_dep, gstvulkan_dep, vulkan_dep, gio_dep] + extra_deps,
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstbase_dep, gstvulkan_dep, vulkan_dep, gio_dep] + extra_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/ext/wayland/meson.build b/ext/wayland/meson.build
index 29c7e2f..d3ec807 100644
--- a/ext/wayland/meson.build
+++ b/ext/wayland/meson.build
@@ -8,7 +8,7 @@ if use_wayland
         wl_sources,
         c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
         include_directories : [configinc],
-        dependencies : [gst_dep, gstvideo_dep, gstwayland_dep],
+        dependencies : [glib_dep, gobject_dep, gst_dep, gstvideo_dep, gstwayland_dep],
         install : true,
         install_dir : plugins_install_dir,
     )
diff --git a/ext/webp/meson.build b/ext/webp/meson.build
index 1d9f63a..5109fc6 100644
--- a/ext/webp/meson.build
+++ b/ext/webp/meson.build
@@ -12,7 +12,7 @@ if webp_dep.found() and webpmux_dep.found()
     webp_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, webp_dep, webpmux_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, webp_dep, webpmux_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/webrtc/meson.build b/ext/webrtc/meson.build
index 151cb9a..e45b38f 100644
--- a/ext/webrtc/meson.build
+++ b/ext/webrtc/meson.build
@@ -22,7 +22,7 @@ gstwebrtc_plugin = library('gstwebrtc',
   webrtc_sources,
   c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstsdp_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstsdp_dep,
                   gstapp_dep, gstwebrtc_dep, gstsctp_dep, gstrtp_dep, gio_dep, libgstwebrtcnice_dep],
   install : true,
   install_dir : plugins_install_dir,
diff --git a/ext/webrtcdsp/meson.build b/ext/webrtcdsp/meson.build
index d915e05..fb8551b 100644
--- a/ext/webrtcdsp/meson.build
+++ b/ext/webrtcdsp/meson.build
@@ -13,7 +13,7 @@ if webrtc_dep.found()
     cpp_args : gst_plugins_bad_args,
     link_args : noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstaudio_dep, gstbadaudio_dep, webrtc_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, gstbadaudio_dep, webrtc_dep],
     install : true,
     install_dir : plugins_install_dir,
     override_options : ['cpp_std=c++17'],
diff --git a/ext/wildmidi/meson.build b/ext/wildmidi/meson.build
index cd71f39..efaba4d 100644
--- a/ext/wildmidi/meson.build
+++ b/ext/wildmidi/meson.build
@@ -26,7 +26,7 @@ if wildmidi_dep.found()
     'gstwildmididec.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies: [gstaudio_dep, gstbadaudio_dep, wildmidi_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbadaudio_dep, wildmidi_dep],
     install: true,
     install_dir: plugins_install_dir,
   )
diff --git a/ext/wpe/meson.build b/ext/wpe/meson.build
index ac94f33..5266a6f 100644
--- a/ext/wpe/meson.build
+++ b/ext/wpe/meson.build
@@ -57,7 +57,7 @@ wpe_extension_install_dir = get_option('prefix') / get_option('libdir') / meson.
 building_wpe = true
 gstwpe = library('gstwpe',
   ['gstwpethreadedview.cpp', 'gstwpe.cpp', 'gstwpevideosrc.cpp', 'gstwpesrcbin.cpp'],
-  dependencies : [egl_dep, wpewebkit_dep, wpe_fdo_dep, gstallocators_dep, gstaudio_dep, gstvideo_dep,
+  dependencies : [glib_dep, gobject_dep, egl_dep, wpewebkit_dep, wpe_fdo_dep, gstallocators_dep, gstaudio_dep, gstvideo_dep,
     gstbase_dep, gstgl_dep, xkbcommon_dep, wl_server_dep, giounix_dep],
   cpp_args : gst_plugins_bad_args + ['-DHAVE_CONFIG_H=1',
     '-DWPE_EXTENSION_INSTALL_DIR=' + wpe_extension_install_dir] + gst_wpe_c_args,
diff --git a/ext/wpe/wpe-extension/meson.build b/ext/wpe/wpe-extension/meson.build
index 232ce05..5fee6e0 100644
--- a/ext/wpe/wpe-extension/meson.build
+++ b/ext/wpe/wpe-extension/meson.build
@@ -1,6 +1,6 @@
 library('gstwpeextension',
   ['gstwpeextension.c', 'gstwpeaudiosink.c', 'gstwpebusmsgforwarder.c'],
-  dependencies : [wpewebkit_dep, gst_dep, gstbase_dep, giounix_dep],
+  dependencies : [glib_dep, gobject_dep, wpewebkit_dep, gst_dep, gstbase_dep, giounix_dep],
   c_args : ['-DHAVE_CONFIG_H=1'] + gst_wpe_c_args,
   include_directories : [configinc],
   install : true,
diff --git a/ext/x265/meson.build b/ext/x265/meson.build
index 2ecf99e..f095a92 100644
--- a/ext/x265/meson.build
+++ b/ext/x265/meson.build
@@ -9,7 +9,7 @@ if x265_dep.found()
     'gstx265enc.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstpbutils_dep, gstvideo_dep, x265_dep],
+    dependencies : [glib_dep, gobject_dep, gstpbutils_dep, gstvideo_dep, x265_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/zbar/meson.build b/ext/zbar/meson.build
index f99f53f..8420efe 100644
--- a/ext/zbar/meson.build
+++ b/ext/zbar/meson.build
@@ -4,7 +4,7 @@ if zbar_dep.found()
     'gstzbar.c',
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [ gstvideo_dep, zbar_dep ],
+    dependencies : [glib_dep, gobject_dep,  gstvideo_dep, zbar_dep ],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/ext/zxing/meson.build b/ext/zxing/meson.build
index 2dbad9a..d68d1cd 100644
--- a/ext/zxing/meson.build
+++ b/ext/zxing/meson.build
@@ -9,7 +9,7 @@ if zxing_dep.found()
 	  c_args : gst_plugins_bad_args,
 	  cpp_args: '-DZX_USE_UTF8',
 	  include_directories : [configinc],
-	  dependencies : [gstvideo_dep, zxing_dep],
+	  dependencies : [glib_dep, gobject_dep, gstvideo_dep, zxing_dep],
 	  install : true,
 	  install_dir : plugins_install_dir,
 	  override_options : ['cpp_std=c++17'],
diff --git a/gst-libs/gst/adaptivedemux/meson.build b/gst-libs/gst/adaptivedemux/meson.build
index 790a529..a531936 100644
--- a/gst-libs/gst/adaptivedemux/meson.build
+++ b/gst-libs/gst/adaptivedemux/meson.build
@@ -10,12 +10,12 @@ gstadaptivedemux = library('gstadaptivedemux-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, gsturidownloader_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsturidownloader_dep],
 )
 gst_libraries += [[pkg_name, {'lib': gstadaptivedemux}]]
 
 gstadaptivedemux_dep = declare_dependency(link_with : gstadaptivedemux,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep, gsturidownloader_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsturidownloader_dep])
 
 meson.override_dependency(pkg_name, gstadaptivedemux_dep)
\ No newline at end of file
diff --git a/gst-libs/gst/analytics/meson.build b/gst-libs/gst/analytics/meson.build
index a2886e2..30a2a04 100644
--- a/gst-libs/gst/analytics/meson.build
+++ b/gst-libs/gst/analytics/meson.build
@@ -20,7 +20,7 @@ gstanalytics = library('gstanalytics-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, gstvideo_dep])
+  dependencies : [glib_dep, gobject_dep, glib_dep, gobject_dep, gstbase_dep, gstvideo_dep])
 
 gst_libraries += [[pkg_name, {'lib': gstanalytics}]]
 pkgconfig.generate(gstanalytics,
@@ -59,6 +59,6 @@ gst_libraries += [[pkg_name, library_def]]
 gstanalytics_dep = declare_dependency(link_with : gstanalytics,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstbase_dep, gstvideo_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep])
 
 meson.override_dependency(pkg_name, gstanalytics_dep)
diff --git a/gst-libs/gst/audio/meson.build b/gst-libs/gst/audio/meson.build
index e9eb653..c0d0689 100644
--- a/gst-libs/gst/audio/meson.build
+++ b/gst-libs/gst/audio/meson.build
@@ -11,7 +11,7 @@ gstbadaudio = library('gstbadaudio-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstaudio_dep, gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbase_dep],
 )
 
 library_def = {'lib': gstbadaudio}
@@ -50,6 +50,6 @@ gst_libraries += [[pkg_name, library_def]]
 gstbadaudio_dep = declare_dependency(link_with : gstbadaudio,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstaudio_dep, gstbase_dep])
+  dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstbase_dep])
 
 meson.override_dependency(pkg_name, gstbadaudio_dep)
diff --git a/gst-libs/gst/basecamerabinsrc/meson.build b/gst-libs/gst/basecamerabinsrc/meson.build
index d39db68..fc7575d 100644
--- a/gst-libs/gst/basecamerabinsrc/meson.build
+++ b/gst-libs/gst/basecamerabinsrc/meson.build
@@ -19,7 +19,7 @@ gstbasecamerabin = library('gstbasecamerabinsrc-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstapp_dep],
+  dependencies : [glib_dep, gobject_dep, gstapp_dep],
 )
 
 library_def = {'lib': gstbasecamerabin}
@@ -51,5 +51,5 @@ gst_libraries += [[pkg_name, library_def]]
 gstbasecamerabin_dep = declare_dependency(link_with : gstbasecamerabin,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstapp_dep])
+  dependencies : [glib_dep, gobject_dep, gstapp_dep])
 meson.override_dependency(pkg_name, gstbasecamerabin_dep)
diff --git a/gst-libs/gst/codecparsers/meson.build b/gst-libs/gst/codecparsers/meson.build
index 7e96835..c14606a 100644
--- a/gst-libs/gst/codecparsers/meson.build
+++ b/gst-libs/gst/codecparsers/meson.build
@@ -54,7 +54,7 @@ gstcodecparsers = library('gstcodecparsers-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, libm],
 )
 
 pkg_name = 'gstreamer-codecparsers-1.0'
@@ -68,7 +68,7 @@ pkgconfig.generate(gstcodecparsers,
 
 gstcodecparsers_dep = declare_dependency(link_with : gstcodecparsers,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep])
 
 gst_libraries += [[pkg_name, {'lib': gstcodecparsers}]]
 meson.override_dependency(pkg_name, gstcodecparsers_dep)
diff --git a/gst-libs/gst/codecs/meson.build b/gst-libs/gst/codecs/meson.build
index a4a980b..7c4ee41 100644
--- a/gst-libs/gst/codecs/meson.build
+++ b/gst-libs/gst/codecs/meson.build
@@ -46,7 +46,7 @@ gstcodecs = library('gstcodecs-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstvideo_dep, gstcodecparsers_dep],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstcodecparsers_dep],
 )
 
 library_def = {'lib': gstcodecs}
@@ -83,5 +83,5 @@ gst_libraries += [[pkg_name, library_def]]
 gstcodecs_dep = declare_dependency(link_with : gstcodecs,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstvideo_dep, gstcodecparsers_dep])
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstcodecparsers_dep])
 meson.override_dependency(pkg_name, gstcodecs_dep)
diff --git a/gst-libs/gst/cuda/meson.build b/gst-libs/gst/cuda/meson.build
index 5a60d0f..22f3e45 100644
--- a/gst-libs/gst/cuda/meson.build
+++ b/gst-libs/gst/cuda/meson.build
@@ -91,7 +91,7 @@ gstcuda= library('gstcuda-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gstbase_dep, gmodule_dep, gstvideo_dep, gstglproto_dep, gstd3d11_dep, gstcuda_platform_dep]
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gmodule_dep, gstvideo_dep, gstglproto_dep, gstd3d11_dep, gstcuda_platform_dep]
 )
 
 gen_sources = []
@@ -149,7 +149,7 @@ pkgconfig.generate(gstcuda,
 install_headers(cuda_headers + ['cuda-gst.h', 'gstcuda.h'], subdir : 'gstreamer-1.0/gst/cuda')
 gstcuda_dep = declare_dependency(link_with : gstcuda,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep, gmodule_dep, gstvideo_dep, gstglproto_dep, gstcuda_platform_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gmodule_dep, gstvideo_dep, gstglproto_dep, gstcuda_platform_dep],
   sources: gen_sources)
 
 meson.override_dependency(pkg_name, gstcuda_dep)
diff --git a/gst-libs/gst/d3d11/meson.build b/gst-libs/gst/d3d11/meson.build
index d06c136..f166752 100644
--- a/gst-libs/gst/d3d11/meson.build
+++ b/gst-libs/gst/d3d11/meson.build
@@ -71,7 +71,7 @@ d3d11_winapi_desktop = cxx.compiles('''#include <winapifamily.h>
     #if !WINAPI_FAMILY_PARTITION(WINAPI_PARTITION_DESKTOP)
     #error "not win32"
     #endif''',
-    dependencies: [d3d11_lib, dxgi_lib],
+    dependencies : [glib_dep, gobject_dep, d3d11_lib, dxgi_lib],
     name: 'building for Win32')
 
 if runtimeobject_lib.found() and d3dcompiler_lib.found()
@@ -87,7 +87,7 @@ if runtimeobject_lib.found() and d3dcompiler_lib.found()
       #if (WINVER < 0x0A00)
       #error "Windows 10 API is not guaranteed"
       #endif''',
-      dependencies: [d3d11_lib, dxgi_lib, runtimeobject_lib],
+      dependencies : [glib_dep, gobject_dep, d3d11_lib, dxgi_lib, runtimeobject_lib],
       name: 'building for WinRT')
 endif
 
@@ -143,7 +143,7 @@ if not gst_debug_disabled and get_option('debug') and not (d3d11_winapi_only_app
                      @2@ *info_queue = NULL;
                      return 0;
                    }'''.format(header, debug_obj, info_obj)
-    if cc.compiles(compile_code, dependencies: [d3d11_lib, dxgi_lib], name: debug_obj)
+    if cc.compiles(compile_code, dependencies : [glib_dep, gobject_dep, d3d11_lib, dxgi_lib], name: debug_obj)
       set_variable(f.get(3), true)
     endif
   endforeach
@@ -244,7 +244,7 @@ gstd3d11 = library('gstd3d11-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gstbase_dep, gstvideo_dep, gmodule_dep, d3d11_lib, dxgi_lib] + extra_deps
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gmodule_dep, d3d11_lib, dxgi_lib] + extra_deps
 )
 
 pkgconfig.generate(gstd3d11,
@@ -285,7 +285,7 @@ install_headers(d3d11_headers, subdir : 'gstreamer-1.0/gst/d3d11')
 
 gstd3d11_dep = declare_dependency(link_with : gstd3d11,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep, gstvideo_dep, d3d11_lib, dxgi_lib],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, d3d11_lib, dxgi_lib],
   sources : gen_sources)
 
 meson.override_dependency(pkg_name, gstd3d11_dep)
diff --git a/gst-libs/gst/dxva/meson.build b/gst-libs/gst/dxva/meson.build
index 6eba003..21e9929 100644
--- a/gst-libs/gst/dxva/meson.build
+++ b/gst-libs/gst/dxva/meson.build
@@ -38,7 +38,7 @@ gstdxva = library('gstdxva-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gstvideo_dep, gstcodecs_dep],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstcodecs_dep],
   override_options: ['cpp_std=c++11'],
 )
 
@@ -71,6 +71,6 @@ gst_libraries += [[pkg_name, library_def]]
 gstdxva_dep = declare_dependency(link_with : gstdxva,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstvideo_dep, gstcodecs_dep])
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstcodecs_dep])
 
 meson.override_dependency(pkg_name, gstdxva_dep)
diff --git a/gst-libs/gst/insertbin/meson.build b/gst-libs/gst/insertbin/meson.build
index 21fe522..5714ef1 100644
--- a/gst-libs/gst/insertbin/meson.build
+++ b/gst-libs/gst/insertbin/meson.build
@@ -10,7 +10,7 @@ gstinsertbin = library('gstinsertbin-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
 )
 
 library_def = {'lib': gstinsertbin}
@@ -49,6 +49,6 @@ gst_libraries += [[pkg_name, library_def]]
 gstinsertbin_dep = declare_dependency(link_with : gstinsertbin,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gst_dep])
+  dependencies : [glib_dep, gobject_dep, gst_dep])
 
 meson.override_dependency(pkg_name, gstinsertbin_dep)
diff --git a/gst-libs/gst/interfaces/meson.build b/gst-libs/gst/interfaces/meson.build
index 3c4f388..7610c7d 100644
--- a/gst-libs/gst/interfaces/meson.build
+++ b/gst-libs/gst/interfaces/meson.build
@@ -22,7 +22,7 @@ gstphotography = library('gstphotography-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
 )
 
 pkgconfig.generate(gstphotography,
@@ -35,7 +35,7 @@ pkgconfig.generate(gstphotography,
 
 gstphotography_dep = declare_dependency(link_with : gstphotography,
   include_directories : [libsinc],
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
   sources : [photoenum_h])
 
 gst_libraries += [[pkg_name, {'lib': gstphotography}]]
diff --git a/gst-libs/gst/isoff/meson.build b/gst-libs/gst/isoff/meson.build
index 3502fb4..232f640 100644
--- a/gst-libs/gst/isoff/meson.build
+++ b/gst-libs/gst/isoff/meson.build
@@ -14,9 +14,9 @@ gstisoff = library('gstisoff-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
 )
 
 gstisoff_dep = declare_dependency(link_with : gstisoff,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep])
diff --git a/gst-libs/gst/mpegts/meson.build b/gst-libs/gst/mpegts/meson.build
index db808b3..d200b40 100644
--- a/gst-libs/gst/mpegts/meson.build
+++ b/gst-libs/gst/mpegts/meson.build
@@ -47,7 +47,7 @@ gstmpegts = library('gstmpegts-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
 )
 
 library_def = {'lib': gstmpegts}
@@ -84,6 +84,6 @@ gst_libraries += [[pkg_name, library_def]]
 
 gstmpegts_dep = declare_dependency(link_with : gstmpegts,
   include_directories : [libsinc],
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
   sources : gen_sources)
 meson.override_dependency(pkg_name, gstmpegts_dep)
diff --git a/gst-libs/gst/mse/meson.build b/gst-libs/gst/mse/meson.build
index ebc5c33..7b13286 100644
--- a/gst-libs/gst/mse/meson.build
+++ b/gst-libs/gst/mse/meson.build
@@ -80,7 +80,7 @@ gstmse_private_test = library('gstmse-private-test',
   gstmse_sources_all,
   c_args : [gstmse_c_args, '-DBUILDING_GST_MSE_TEST'],
   include_directories : [configinc, libsinc],
-  dependencies : gstmse_deps,
+  dependencies : gstmse_deps + [glib_dep, gobject_dep],
 )
 
 gstmse_private_test_dep = declare_dependency(
@@ -98,7 +98,7 @@ gstmse = library('gstmse-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : gstmse_deps,
+  dependencies : gstmse_deps + [glib_dep, gobject_dep],
 )
 
 pkg_name = 'gstreamer-mse-' + api_version
diff --git a/gst-libs/gst/opencv/meson.build b/gst-libs/gst/opencv/meson.build
index 1d337f1..4134f25 100644
--- a/gst-libs/gst/opencv/meson.build
+++ b/gst-libs/gst/opencv/meson.build
@@ -85,13 +85,13 @@ if opencv_found
     soversion : soversion,
     darwin_versions : osxversion,
     install : true,
-    dependencies : [gstbase_dep, gstvideo_dep, opencv_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, opencv_dep],
   )
 
   gst_libraries += [[pkg_name, {'lib': gstopencv}]]
   gstopencv_dep = declare_dependency(link_with: gstopencv,
     include_directories : [libsinc],
-    dependencies : [gstvideo_dep, opencv_dep])
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, opencv_dep])
   meson.override_dependency(pkg_name, gstopencv_dep)
 
   install_headers(opencv_headers, subdir : 'gstreamer-1.0/gst/opencv')
diff --git a/gst-libs/gst/play/meson.build b/gst-libs/gst/play/meson.build
index 3d38b5c..423b69f 100644
--- a/gst-libs/gst/play/meson.build
+++ b/gst-libs/gst/play/meson.build
@@ -29,7 +29,7 @@ gstplay = library('gstplay-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep,
                   gsttag_dep, gstpbutils_dep],
 )
 
@@ -71,7 +71,7 @@ gst_libraries += [[pkg_name, library_def]]
 gstplay_dep = declare_dependency(link_with : gstplay,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep,
                   gsttag_dep, gstpbutils_dep])
 
 meson.override_dependency(pkg_name, gstplay_dep)
diff --git a/gst-libs/gst/player/meson.build b/gst-libs/gst/player/meson.build
index 7792382..7af7a99 100644
--- a/gst-libs/gst/player/meson.build
+++ b/gst-libs/gst/player/meson.build
@@ -32,7 +32,7 @@ gstplayer = library('gstplayer-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep, gstplay_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep, gstplay_dep,
                   gsttag_dep, gstpbutils_dep],
 )
 
@@ -74,7 +74,7 @@ gst_libraries += [[pkg_name, library_def]]
 gstplayer_dep = declare_dependency(link_with : gstplayer,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep, gstplay_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep, gstplay_dep,
                   gsttag_dep, gstpbutils_dep])
 
 meson.override_dependency(pkg_name, gstplayer_dep)
diff --git a/gst-libs/gst/sctp/meson.build b/gst-libs/gst/sctp/meson.build
index 2c0a48c..c92b16c 100644
--- a/gst-libs/gst/sctp/meson.build
+++ b/gst-libs/gst/sctp/meson.build
@@ -18,7 +18,7 @@ libgstsctp = library('gstsctp-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
 )
 
 pkg_name = 'gstreamer-sctp-1.0'
@@ -33,6 +33,6 @@ pkgconfig.generate(libgstsctp,
 
 gstsctp_dep = declare_dependency(link_with : libgstsctp,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep])
 
 meson.override_dependency(pkg_name, gstsctp_dep)
diff --git a/gst-libs/gst/transcoder/meson.build b/gst-libs/gst/transcoder/meson.build
index 1610cf8..60fc8ee 100644
--- a/gst-libs/gst/transcoder/meson.build
+++ b/gst-libs/gst/transcoder/meson.build
@@ -20,7 +20,7 @@ gst_transcoder = library('gsttranscoder-' + api_version,
   sources + [gsttranscoder_c]  + transcoder_gen_sources,
   install: true,
   include_directories : [configinc, libsinc],
-  dependencies: [gst_dep, gstpbutils_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstpbutils_dep],
   c_args: gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API', '-DBUILDING_GST_TRANSCODER', '-DG_LOG_DOMAIN="GStreamer-Transcoder"'],
   soversion : soversion,
 )
@@ -60,7 +60,7 @@ endif
 gst_libraries += [[pkg_name, library_def]]
 
 gst_transcoder_dep = declare_dependency(link_with: gst_transcoder,
-  dependencies : [gst_dep, gstpbutils_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstpbutils_dep],
   sources: transcoder_gen_sources,
   include_directories : [libsinc]
 )
diff --git a/gst-libs/gst/uridownloader/meson.build b/gst-libs/gst/uridownloader/meson.build
index 4cd4748..4368363 100644
--- a/gst-libs/gst/uridownloader/meson.build
+++ b/gst-libs/gst/uridownloader/meson.build
@@ -19,12 +19,12 @@ gsturidownloader = library('gsturidownloader-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
 )
 
 gsturidownloader_dep = declare_dependency(link_with : gsturidownloader,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep])
 
 gst_libraries += [[pkg_name, {'lib': gsturidownloader}]]
 meson.override_dependency(pkg_name, gsturidownloader_dep)
\ No newline at end of file
diff --git a/gst-libs/gst/va/meson.build b/gst-libs/gst/va/meson.build
index d83b9e3..9486099 100644
--- a/gst-libs/gst/va/meson.build
+++ b/gst-libs/gst/va/meson.build
@@ -124,7 +124,7 @@ gstva = library('gstva-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gst_dep, gstbase_dep, gstvideo_dep, gstallocators_dep, libva_dep] + platform_deps,
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstbase_dep, gstvideo_dep, gstallocators_dep, libva_dep] + platform_deps,
 )
 
 library_def = {'lib': gstva}
@@ -164,7 +164,7 @@ install_headers(va_headers, subdir : 'gstreamer-1.0/gst/va/')
 
 gstva_dep = declare_dependency(link_with : gstva,
   include_directories : [libsinc],
-  dependencies : [gst_dep, gstvideo_dep, gstallocators_dep, libva_dep] + platform_deps,
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstvideo_dep, gstallocators_dep, libva_dep] + platform_deps,
   sources : va_gen_sources)
 
 meson.override_dependency(pkg_name, gstva_dep)
diff --git a/gst-libs/gst/vulkan/meson.build b/gst-libs/gst/vulkan/meson.build
index cb719bd..56c0737 100644
--- a/gst-libs/gst/vulkan/meson.build
+++ b/gst-libs/gst/vulkan/meson.build
@@ -379,7 +379,7 @@ gstvulkan = library('gstvulkan-' + api_version,
   soversion : soversion,
   darwin_versions : osxversion,
   install : true,
-  dependencies : [gstbase_dep, gstvideo_dep, vulkan_dep] + optional_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, vulkan_dep] + optional_deps,
   # don't confuse gst/vulkan/xcb/xcb.h with xcb/xcb.h
   implicit_include_directories : false)
 
@@ -426,7 +426,7 @@ gst_libraries += [[pkg_name, library_def]]
 gstvulkan_dep = declare_dependency(link_with : gstvulkan,
   include_directories : [libsinc],
   sources: gen_sources,
-  dependencies : [gstvideo_dep, gstbase_dep, vulkan_dep] + optional_deps)
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstbase_dep, vulkan_dep] + optional_deps)
 
 meson.override_dependency(pkg_name, gstvulkan_dep)
 
@@ -462,7 +462,7 @@ if enabled_vulkan_winsys.contains('xcb')
     gir += {'includes' :['Gst-1.0', 'GstBase-1.0', 'GstVideo-1.0', 'GstVulkan-1.0'] + extra_gir_includes}
     library_def += {'gir':  library_def['gir'] + [gir]}
   endif
-  gstvulkanxcb_dep = declare_dependency(dependencies : [gstvulkan_dep],
+  gstvulkanxcb_dep = declare_dependency(dependencies : [glib_dep, gobject_dep, gstvulkan_dep],
       sources : vulkan_xcb_gir)
   meson.override_dependency('gstreamer-vulkan-xcb-1.0', gstvulkanxcb_dep)
 endif
@@ -497,7 +497,7 @@ if enabled_vulkan_winsys.contains('wayland')
     gir += {'includes' :['Gst-1.0', 'GstBase-1.0', 'GstVideo-1.0', 'GstVulkan-1.0'] + extra_gir_includes}
     library_def += {'gir':  library_def['gir'] + [gir]}
   endif
-  gstvulkanwayland_dep = declare_dependency(dependencies : [gstvulkan_dep],
+  gstvulkanwayland_dep = declare_dependency(dependencies : [glib_dep, gobject_dep, gstvulkan_dep],
       sources : vulkan_wayland_gir)
   meson.override_dependency('gstreamer-vulkan-wayland-1.0', gstvulkanwayland_dep)
 endif
diff --git a/gst-libs/gst/wayland/meson.build b/gst-libs/gst/wayland/meson.build
index 75251db..74f23d4 100644
--- a/gst-libs/gst/wayland/meson.build
+++ b/gst-libs/gst/wayland/meson.build
@@ -98,7 +98,7 @@ if use_wayland
     soversion : soversion,
     darwin_versions : osxversion,
     install : true,
-    dependencies : [gst_dep, gstallocators_dep, gstvideo_dep, libdrm_dep,
+    dependencies : [glib_dep, gobject_dep, gst_dep, gstallocators_dep, gstvideo_dep, libdrm_dep,
                     wl_client_dep]
   )
 
@@ -114,7 +114,7 @@ if use_wayland
 
   gstwayland_dep = declare_dependency(link_with : gstwayland,
     include_directories : [libsinc],
-    dependencies : [gst_dep, gstallocators_dep, gstvideo_dep, libdrm_dep,
+    dependencies : [glib_dep, gobject_dep, gst_dep, gstallocators_dep, gstvideo_dep, libdrm_dep,
                     wl_client_dep])
 
   install_headers(wl_headers, subdir: 'gstreamer-1.0/gst/wayland')
diff --git a/gst-libs/gst/webrtc/nice/meson.build b/gst-libs/gst/webrtc/nice/meson.build
index 6f9c94a..c3adcbb 100644
--- a/gst-libs/gst/webrtc/nice/meson.build
+++ b/gst-libs/gst/webrtc/nice/meson.build
@@ -47,7 +47,7 @@ if libnice_dep.found()
   )
 
   libgstwebrtcnice_dep = declare_dependency(link_with: libgstwebrtcnice,
-    dependencies: [deps])
+    dependencies : [glib_dep, gobject_dep, deps])
 
   install_headers(libgstwebrtcnice_headers, subdir : 'gstreamer-1.0/gst/webrtc/nice')
   meson.override_dependency(pkg_name, libgstwebrtcnice_dep)
diff --git a/gst-libs/gst/winrt/meson.build b/gst-libs/gst/winrt/meson.build
index d373709..df75dea 100644
--- a/gst-libs/gst/winrt/meson.build
+++ b/gst-libs/gst/winrt/meson.build
@@ -78,10 +78,10 @@ gstwinrt = library('gstwinrt-' + api_version,
   version : libversion,
   soversion : soversion,
   install : true,
-  dependencies : [gstbase_dep, runtimeobject_lib]
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, runtimeobject_lib]
 )
 
 # Still non-public api, should not install headers
 gstwinrt_dep = declare_dependency(link_with : gstwinrt,
   include_directories : [libsinc],
-  dependencies : [gstbase_dep, runtimeobject_lib])
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, runtimeobject_lib])
diff --git a/gst/accurip/meson.build b/gst/accurip/meson.build
index 454d752..08d225a 100644
--- a/gst/accurip/meson.build
+++ b/gst/accurip/meson.build
@@ -6,7 +6,7 @@ gstaccurip = library('gstaccurip',
   accurip_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/adpcmdec/meson.build b/gst/adpcmdec/meson.build
index aec0976..521f2de 100644
--- a/gst/adpcmdec/meson.build
+++ b/gst/adpcmdec/meson.build
@@ -6,7 +6,7 @@ gstadpcmdec = library('gstadpcmdec',
   adpcmdec_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/adpcmenc/meson.build b/gst/adpcmenc/meson.build
index 2fbe599..81f8ad3 100644
--- a/gst/adpcmenc/meson.build
+++ b/gst/adpcmenc/meson.build
@@ -6,7 +6,7 @@ gstadpcmenc = library('gstadpcmenc',
   gstadpcmenc_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/aiff/meson.build b/gst/aiff/meson.build
index 805265d..5107a47 100644
--- a/gst/aiff/meson.build
+++ b/gst/aiff/meson.build
@@ -6,7 +6,7 @@ gstaiff = library('gstaiff',
   aiff_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gsttag_dep, gstaudio_dep, gstpbutils_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsttag_dep, gstaudio_dep, gstpbutils_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/asfmux/meson.build b/gst/asfmux/meson.build
index a5eb0f2..1854a07 100644
--- a/gst/asfmux/meson.build
+++ b/gst/asfmux/meson.build
@@ -10,7 +10,7 @@ gstasfmux = library('gstasfmux',
   asfmux_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gstrtp_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstrtp_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/audiobuffersplit/meson.build b/gst/audiobuffersplit/meson.build
index ab6fbe0..e31de01 100644
--- a/gst/audiobuffersplit/meson.build
+++ b/gst/audiobuffersplit/meson.build
@@ -6,7 +6,7 @@ gstaudiobuffersplit = library('gstaudiobuffersplit',
   audiobuffersplit_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/audiofxbad/meson.build b/gst/audiofxbad/meson.build
index c836fd4..b3e998f 100644
--- a/gst/audiofxbad/meson.build
+++ b/gst/audiofxbad/meson.build
@@ -7,7 +7,7 @@ gstaudiofxbad = library('gstaudiofxbad',
   audiofxbad_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/audiolatency/meson.build b/gst/audiolatency/meson.build
index f9406cb..8d2dcb6 100644
--- a/gst/audiolatency/meson.build
+++ b/gst/audiolatency/meson.build
@@ -2,7 +2,7 @@ gstaudiolatency = library('gstaudiolatency',
   'gstaudiolatency.c',
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/audiomixmatrix/meson.build b/gst/audiomixmatrix/meson.build
index 93ddb47..8c4f169 100644
--- a/gst/audiomixmatrix/meson.build
+++ b/gst/audiomixmatrix/meson.build
@@ -6,7 +6,7 @@ gstaudiomixmatrix = library('gstaudiomixmatrix',
   audiomixmatrix_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/audiovisualizers/meson.build b/gst/audiovisualizers/meson.build
index 3130dbf..e4d75e5 100644
--- a/gst/audiovisualizers/meson.build
+++ b/gst/audiovisualizers/meson.build
@@ -10,7 +10,7 @@ gstaudiovisualizers = library('gstaudiovisualizers',
   audiovis_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstpbutils_dep, gstaudio_dep, gstvideo_dep, gstfft_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstpbutils_dep, gstaudio_dep, gstvideo_dep, gstfft_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/autoconvert/meson.build b/gst/autoconvert/meson.build
index e8f1821..8aaba35 100644
--- a/gst/autoconvert/meson.build
+++ b/gst/autoconvert/meson.build
@@ -12,7 +12,7 @@ gstautoconvert = library('gstautoconvert',
   autocon_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstpbutils_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstpbutils_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/bayer/meson.build b/gst/bayer/meson.build
index 092d9f6..25be382 100644
--- a/gst/bayer/meson.build
+++ b/gst/bayer/meson.build
@@ -28,7 +28,7 @@ gstbayer = library('gstbayer',
   bayer_sources, orc_c, orc_h,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gstvideo_dep, orc_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, orc_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/camerabin2/meson.build b/gst/camerabin2/meson.build
index 7730df3..894120c 100644
--- a/gst/camerabin2/meson.build
+++ b/gst/camerabin2/meson.build
@@ -12,7 +12,7 @@ gstcamerabin = library('gstcamerabin',
   c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories : [configinc, libsinc],
   link_with : gstbasecamerabin,
-  dependencies : [gstbasecamerabin_dep, gstphotography_dep, gsttag_dep, gstapp_dep, gstpbutils_dep, gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbasecamerabin_dep, gstphotography_dep, gsttag_dep, gstapp_dep, gstpbutils_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/codecalpha/meson.build b/gst/codecalpha/meson.build
index 6e85358..23141fe 100644
--- a/gst/codecalpha/meson.build
+++ b/gst/codecalpha/meson.build
@@ -11,7 +11,7 @@ gstcodecalpha = library('gstcodecalpha',
   codecalpha_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstvideo_dep, gstpbutils_dep],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstpbutils_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/codectimestamper/meson.build b/gst/codectimestamper/meson.build
index fe2abb0..45719e2 100644
--- a/gst/codectimestamper/meson.build
+++ b/gst/codectimestamper/meson.build
@@ -9,7 +9,7 @@ gstcodectimestamper = library('gstcodectimestamper',
   codectimestamper_sources,
   c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
   include_directories : [configinc],
-  dependencies : [gstcodecparsers_dep, gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstcodecparsers_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/coloreffects/meson.build b/gst/coloreffects/meson.build
index f2b52af..8032210 100644
--- a/gst/coloreffects/meson.build
+++ b/gst/coloreffects/meson.build
@@ -8,7 +8,7 @@ gstcoloreffects = library('gstcoloreffects',
   coloreffects_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/debugutils/meson.build b/gst/debugutils/meson.build
index 900c65d..85a3264 100644
--- a/gst/debugutils/meson.build
+++ b/gst/debugutils/meson.build
@@ -19,7 +19,7 @@ gstdebugutilsbad = library('gstdebugutilsbad',
   debugutilsbad_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstnet_dep, gstaudio_dep, gio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstnet_dep, gstaudio_dep, gio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/dvbsubenc/meson.build b/gst/dvbsubenc/meson.build
index 125a25a..9719106 100644
--- a/gst/dvbsubenc/meson.build
+++ b/gst/dvbsubenc/meson.build
@@ -22,7 +22,7 @@ gstdvbsubenc = library('gstdvbsubenc',
   subenc_sources + libimagequant_sources,
   c_args : gst_plugins_bad_args + local_c_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gstvideo_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/dvbsuboverlay/meson.build b/gst/dvbsuboverlay/meson.build
index 7940b5f..4871e96 100644
--- a/gst/dvbsuboverlay/meson.build
+++ b/gst/dvbsuboverlay/meson.build
@@ -7,7 +7,7 @@ gstdvbsuboverlay = library('gstdvbsuboverlay',
   subover_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/dvdspu/meson.build b/gst/dvdspu/meson.build
index 04aa3cc..f4c424f 100644
--- a/gst/dvdspu/meson.build
+++ b/gst/dvdspu/meson.build
@@ -9,7 +9,7 @@ gstdvdspu = library('gstdvdspu',
   dvdspu_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/faceoverlay/meson.build b/gst/faceoverlay/meson.build
index e5ff9c3..7d670ce 100644
--- a/gst/faceoverlay/meson.build
+++ b/gst/faceoverlay/meson.build
@@ -6,7 +6,7 @@ gstfaceoverlay = library('gstfaceoverlay',
   fover_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/festival/meson.build b/gst/festival/meson.build
index d71264c..98ada86 100644
--- a/gst/festival/meson.build
+++ b/gst/festival/meson.build
@@ -6,7 +6,7 @@ gstfestival = library('gstfestival',
   festival_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep] + winsock2 + network_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep] + winsock2 + network_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/fieldanalysis/meson.build b/gst/fieldanalysis/meson.build
index 992982e..f76db3f 100644
--- a/gst/fieldanalysis/meson.build
+++ b/gst/fieldanalysis/meson.build
@@ -26,7 +26,7 @@ gstfieldanalysis = library('gstfieldanalysis',
   fielda_sources, orc_c, orc_h,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, orc_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, orc_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/freeverb/meson.build b/gst/freeverb/meson.build
index 97545ed..208804c 100644
--- a/gst/freeverb/meson.build
+++ b/gst/freeverb/meson.build
@@ -6,7 +6,7 @@ gstfreeverb = library('gstfreeverb',
   freeverb_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/frei0r/meson.build b/gst/frei0r/meson.build
index d830fff..c061b6c 100644
--- a/gst/frei0r/meson.build
+++ b/gst/frei0r/meson.build
@@ -9,7 +9,7 @@ gstfrei0r = library('gstfrei0r',
   frei0r_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gmodule_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gmodule_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/gaudieffects/meson.build b/gst/gaudieffects/meson.build
index d46628e..c6254fa 100644
--- a/gst/gaudieffects/meson.build
+++ b/gst/gaudieffects/meson.build
@@ -33,7 +33,7 @@ gstgaudioeffects = library('gstgaudieffects',
   gaudio_sources, orc_c, orc_h,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, orc_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, orc_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/gdp/meson.build b/gst/gdp/meson.build
index 0dcc195..ea14133 100644
--- a/gst/gdp/meson.build
+++ b/gst/gdp/meson.build
@@ -10,7 +10,7 @@ gstdgp = library('gstgdp',
   gdp_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/geometrictransform/meson.build b/gst/geometrictransform/meson.build
index 3ad8eee..9255fc3 100644
--- a/gst/geometrictransform/meson.build
+++ b/gst/geometrictransform/meson.build
@@ -25,7 +25,7 @@ gstgeometrictransform = library('gstgeometrictransform',
   geotr_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/id3tag/meson.build b/gst/id3tag/meson.build
index 6186865..c763dcb 100644
--- a/gst/id3tag/meson.build
+++ b/gst/id3tag/meson.build
@@ -7,7 +7,7 @@ gstid3tag = library('gstid3tag',
   id3_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gsttag_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsttag_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/insertbin/meson.build b/gst/insertbin/meson.build
index 1c8be39..09b0db2 100644
--- a/gst/insertbin/meson.build
+++ b/gst/insertbin/meson.build
@@ -6,7 +6,7 @@ gstinsertbin = library('gstinsertbin',
   insertbin_sources,
   c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
   include_directories : [configinc],
-  dependencies : [gst_dep, gstinsertbin_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstinsertbin_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/inter/meson.build b/gst/inter/meson.build
index fdc8f79..d75a46e 100644
--- a/gst/inter/meson.build
+++ b/gst/inter/meson.build
@@ -13,7 +13,7 @@ gstinter = library('gstinter',
   inter_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstaudio_dep, gstvideo_dep, gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstvideo_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/interlace/meson.build b/gst/interlace/meson.build
index 7919b83..60c84a7 100644
--- a/gst/interlace/meson.build
+++ b/gst/interlace/meson.build
@@ -6,7 +6,7 @@ gstinterlace = library('gstinterlace',
   interlace_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/ivfparse/meson.build b/gst/ivfparse/meson.build
index fe64f06..a787612 100644
--- a/gst/ivfparse/meson.build
+++ b/gst/ivfparse/meson.build
@@ -6,7 +6,7 @@ gstivfparse = library('gstivfparse',
   ivfparse_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/ivtc/meson.build b/gst/ivtc/meson.build
index 33f4b2d..528cfff 100644
--- a/gst/ivtc/meson.build
+++ b/gst/ivtc/meson.build
@@ -7,7 +7,7 @@ gstivtc = library('gstivtc',
   ivtc_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/jp2kdecimator/meson.build b/gst/jp2kdecimator/meson.build
index 55cafc5..a5c5db8 100644
--- a/gst/jp2kdecimator/meson.build
+++ b/gst/jp2kdecimator/meson.build
@@ -7,7 +7,7 @@ gstjp2kdecimator = library('gstjp2kdecimator',
   jp2_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/jpegformat/meson.build b/gst/jpegformat/meson.build
index a2889d3..022f60b 100644
--- a/gst/jpegformat/meson.build
+++ b/gst/jpegformat/meson.build
@@ -8,7 +8,7 @@ gstjpegformat = library('gstjpegformat',
   jpegf_sources,
   c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstcodecparsers_dep, gstvideo_dep, gsttag_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstcodecparsers_dep, gstvideo_dep, gsttag_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/librfb/meson.build b/gst/librfb/meson.build
index 256ca7c..319d1e3 100644
--- a/gst/librfb/meson.build
+++ b/gst/librfb/meson.build
@@ -11,7 +11,7 @@ gstrfbsrc = library('gstrfbsrc',
   rfbsrc_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc, librfb_incs],
-  dependencies : [gstbase_dep, gstvideo_dep, gio_dep, x11_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gio_dep, x11_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/midi/meson.build b/gst/midi/meson.build
index 8539be9..0f4de14 100644
--- a/gst/midi/meson.build
+++ b/gst/midi/meson.build
@@ -7,7 +7,7 @@ gstmidi = library('gstmidi',
   midi_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gsttag_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsttag_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/mpegdemux/meson.build b/gst/mpegdemux/meson.build
index 1156827..c0da78c 100644
--- a/gst/mpegdemux/meson.build
+++ b/gst/mpegdemux/meson.build
@@ -8,7 +8,7 @@ gstmpedpsdemux = library('gstmpegpsdemux',
   mpegd_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gsttag_dep, gstpbutils_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gsttag_dep, gstpbutils_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/mpegpsmux/meson.build b/gst/mpegpsmux/meson.build
index 87939aa..ab5ffd6 100644
--- a/gst/mpegpsmux/meson.build
+++ b/gst/mpegpsmux/meson.build
@@ -10,7 +10,7 @@ gstmpegpsmux = library('gstmpegpsmux',
   psmux_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/mpegtsdemux/meson.build b/gst/mpegtsdemux/meson.build
index 21d9964..1b8f240 100644
--- a/gst/mpegtsdemux/meson.build
+++ b/gst/mpegtsdemux/meson.build
@@ -11,7 +11,7 @@ gstmpegtsdemux = library('gstmpegtsdemux',
   tsdemux_sources,
   c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories : [configinc, libsinc],
-  dependencies : [gstcodecparsers_dep, gstmpegts_dep, gsttag_dep,
+  dependencies : [glib_dep, gobject_dep, gstcodecparsers_dep, gstmpegts_dep, gsttag_dep,
                   gstpbutils_dep, gstaudio_dep, gstbase_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
diff --git a/gst/mpegtsmux/meson.build b/gst/mpegtsmux/meson.build
index b80fc2f..140790a 100644
--- a/gst/mpegtsmux/meson.build
+++ b/gst/mpegtsmux/meson.build
@@ -15,7 +15,7 @@ gstmpegtsmux = library('gstmpegtsmux',
   tsmux_sources,
   c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories : [configinc, libsinc],
-  dependencies : [gstmpegts_dep, gsttag_dep, gstpbutils_dep,
+  dependencies : [glib_dep, gobject_dep, gstmpegts_dep, gsttag_dep, gstpbutils_dep,
                   gstaudio_dep, gstvideo_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
diff --git a/gst/mse/meson.build b/gst/mse/meson.build
index e4ac5e7..4af7f14 100644
--- a/gst/mse/meson.build
+++ b/gst/mse/meson.build
@@ -4,7 +4,7 @@ gstmse_plugin = library('gstmse',
   mse_sources,
   c_args: gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
   include_directories: [configinc],
-  dependencies : [gstbase_dep, gstmse_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstmse_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/mxf/meson.build b/gst/mxf/meson.build
index a7b8775..d1a99df 100644
--- a/gst/mxf/meson.build
+++ b/gst/mxf/meson.build
@@ -27,7 +27,7 @@ gstmxf = library('gstmxf',
   mxf_sources,
   c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/netsim/meson.build b/gst/netsim/meson.build
index 27a5ca4..3788459 100644
--- a/gst/netsim/meson.build
+++ b/gst/netsim/meson.build
@@ -6,7 +6,7 @@ gstnetsim = library('gstnetsim',
   netsim_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/onvif/meson.build b/gst/onvif/meson.build
index 3d7675f..d57da5d 100644
--- a/gst/onvif/meson.build
+++ b/gst/onvif/meson.build
@@ -8,7 +8,7 @@ gstrtponvif = library('gstrtponvif',
   onvif_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstrtp_dep, gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstrtp_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/pcapparse/meson.build b/gst/pcapparse/meson.build
index 4cf5254..bf7359d 100644
--- a/gst/pcapparse/meson.build
+++ b/gst/pcapparse/meson.build
@@ -8,7 +8,7 @@ gstpcapparse = library('gstpcapparse',
   capp_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep] + winsock2,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep] + winsock2,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/pnm/meson.build b/gst/pnm/meson.build
index 366e04c..50a3dce 100644
--- a/gst/pnm/meson.build
+++ b/gst/pnm/meson.build
@@ -9,7 +9,7 @@ gstpnm = library('gstpnm',
   pnm_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/proxy/meson.build b/gst/proxy/meson.build
index eb3e835..448b992 100644
--- a/gst/proxy/meson.build
+++ b/gst/proxy/meson.build
@@ -8,7 +8,7 @@ gstproxy = library('gstproxy',
   proxy_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/rawparse/meson.build b/gst/rawparse/meson.build
index 62562c5..5556541 100644
--- a/gst/rawparse/meson.build
+++ b/gst/rawparse/meson.build
@@ -8,7 +8,7 @@ gstlegacyrawparse = library('gstlegacyrawparse',
   raw_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/removesilence/meson.build b/gst/removesilence/meson.build
index 998c246..442bb45 100644
--- a/gst/removesilence/meson.build
+++ b/gst/removesilence/meson.build
@@ -7,7 +7,7 @@ gstremovesilence = library('gstremovesilence',
   silence_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/rist/meson.build b/gst/rist/meson.build
index 0e3073d..3230666 100644
--- a/gst/rist/meson.build
+++ b/gst/rist/meson.build
@@ -14,7 +14,7 @@ gstrist = library('gstrist',
   rist_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstrtp_dep, gstnet_dep, gio_dep],
+  dependencies : [glib_dep, gobject_dep, gstrtp_dep, gstnet_dep, gio_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/rtmp2/meson.build b/gst/rtmp2/meson.build
index c812027..f5f358c 100644
--- a/gst/rtmp2/meson.build
+++ b/gst/rtmp2/meson.build
@@ -17,7 +17,7 @@ gstrtmp2 = library('gstrtmp2',
   rtmp2_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
-  dependencies : [gstbase_dep, gio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/rtp/meson.build b/gst/rtp/meson.build
index b56a9f7..f1dd84f 100644
--- a/gst/rtp/meson.build
+++ b/gst/rtp/meson.build
@@ -7,7 +7,7 @@ gst_plugins_rtp_sources = [
 
 gstrtp = library('gstrtpmanagerbad',
   gst_plugins_rtp_sources,
-  dependencies: [gst_dep, gstbase_dep, gstrtp_dep, gstnet_dep, gstcontroller_dep, gio_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstbase_dep, gstrtp_dep, gstnet_dep, gstcontroller_dep, gio_dep],
   include_directories: [configinc],
   install: true,
   c_args: gst_plugins_bad_args,
diff --git a/gst/sdp/meson.build b/gst/sdp/meson.build
index 021bea2..9852c75 100644
--- a/gst/sdp/meson.build
+++ b/gst/sdp/meson.build
@@ -9,7 +9,7 @@ gstsdpelem = library('gstsdpelem',
   sdp_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstrtp_dep, gstsdp_dep, gio_dep, gstapp_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstrtp_dep, gstsdp_dep, gio_dep, gstapp_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/segmentclip/meson.build b/gst/segmentclip/meson.build
index 65fa59e..6493b84 100644
--- a/gst/segmentclip/meson.build
+++ b/gst/segmentclip/meson.build
@@ -9,7 +9,7 @@ gstsegmentclip = library('gstsegmentclip',
   segment_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/siren/meson.build b/gst/siren/meson.build
index b6bfc60..ce566b4 100644
--- a/gst/siren/meson.build
+++ b/gst/siren/meson.build
@@ -14,7 +14,7 @@ gstsiren = library('gstsiren',
   siren_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/smooth/meson.build b/gst/smooth/meson.build
index fca62ad..04bafba 100644
--- a/gst/smooth/meson.build
+++ b/gst/smooth/meson.build
@@ -6,7 +6,7 @@ gstsmooth = library('gstsmooth',
   smooth_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/speed/meson.build b/gst/speed/meson.build
index 11a90c8..1825694 100644
--- a/gst/speed/meson.build
+++ b/gst/speed/meson.build
@@ -6,7 +6,7 @@ gstspeed = library('gstspeed',
   speed_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/subenc/meson.build b/gst/subenc/meson.build
index 5d41c2d..a23d1a5 100644
--- a/gst/subenc/meson.build
+++ b/gst/subenc/meson.build
@@ -8,7 +8,7 @@ gstsubenc = library('gstsubenc',
   subenc_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/switchbin/meson.build b/gst/switchbin/meson.build
index 88d79bb..71b7522 100644
--- a/gst/switchbin/meson.build
+++ b/gst/switchbin/meson.build
@@ -6,7 +6,7 @@ gstswitchbin = library('gstswitchbin',
   switchbin_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/timecode/meson.build b/gst/timecode/meson.build
index 03c4ca1..0cfdfcb 100644
--- a/gst/timecode/meson.build
+++ b/gst/timecode/meson.build
@@ -4,7 +4,7 @@ timecode_sources = [
   'gstavwait.c'
 ]
 
-tc_deps = [gstbase_dep, gstaudio_dep, gstvideo_dep]
+tc_deps = [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, gstvideo_dep]
 
 ltc_dep = dependency('ltc', version : '>=1.1.4', required : false)
 if ltc_dep.found()
diff --git a/gst/transcode/meson.build b/gst/transcode/meson.build
index df79d31..8ada7b0 100644
--- a/gst/transcode/meson.build
+++ b/gst/transcode/meson.build
@@ -5,7 +5,7 @@ gsttranscoder_plugin = library('gsttranscode',
   'gst-cpu-throttling-clock.c',
   'gsturitranscodebin.c',
   install : true,
-  dependencies : [gst_dep, gstpbutils_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstpbutils_dep],
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
   install_dir : plugins_install_dir,
diff --git a/gst/unixfd/meson.build b/gst/unixfd/meson.build
index 4b3cab8..3f6d20a 100644
--- a/gst/unixfd/meson.build
+++ b/gst/unixfd/meson.build
@@ -15,7 +15,7 @@ gstunixfd_plugin = library('gstunixfd',
   sources,
   c_args: gst_plugins_bad_args,
   include_directories: [configinc],
-  dependencies : [gstbase_dep, gstallocators_dep, gio_dep, gio_unix_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstallocators_dep, gio_dep, gio_unix_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/videofilters/meson.build b/gst/videofilters/meson.build
index 39e718f..2ccbfa2 100644
--- a/gst/videofilters/meson.build
+++ b/gst/videofilters/meson.build
@@ -29,7 +29,7 @@ gstvideofiltersbad = library('gstvideofiltersbad',
   vfilt_sources, orc_c, orc_h,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstvideo_dep, gstbase_dep, orc_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstbase_dep, orc_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/videoframe_audiolevel/meson.build b/gst/videoframe_audiolevel/meson.build
index 9232ae4..e418215 100644
--- a/gst/videoframe_audiolevel/meson.build
+++ b/gst/videoframe_audiolevel/meson.build
@@ -6,7 +6,7 @@ gstvideoframe_audiolevel = library('gstvideoframe_audiolevel',
   videoframe_audiolevel_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstvideo_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/videoparsers/meson.build b/gst/videoparsers/meson.build
index 37b7833..8be0aba 100644
--- a/gst/videoparsers/meson.build
+++ b/gst/videoparsers/meson.build
@@ -21,7 +21,7 @@ gstvideoparsersbad = library('gstvideoparsersbad',
   vparse_sources,
   c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
   include_directories : [configinc],
-  dependencies : [gstcodecparsers_dep, gstbase_dep, gstpbutils_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstcodecparsers_dep, gstbase_dep, gstpbutils_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/videosignal/meson.build b/gst/videosignal/meson.build
index 04d5044..d75b383 100644
--- a/gst/videosignal/meson.build
+++ b/gst/videosignal/meson.build
@@ -9,7 +9,7 @@ gstvideosignal = library('gstvideosignal',
   vsignal_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/vmnc/meson.build b/gst/vmnc/meson.build
index 9735ad7..10ada65 100644
--- a/gst/vmnc/meson.build
+++ b/gst/vmnc/meson.build
@@ -6,7 +6,7 @@ gstvmnc = library('gstvmnc',
   vmnc_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/y4m/meson.build b/gst/y4m/meson.build
index 0b778d2..eb34867 100644
--- a/gst/y4m/meson.build
+++ b/gst/y4m/meson.build
@@ -6,7 +6,7 @@ gsty4mdec = library('gsty4mdec',
   y4_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/meson.build b/meson.build
index 541b723..57daae7 100644
--- a/meson.build
+++ b/meson.build
@@ -388,6 +388,8 @@ if gstgl_dep.found()
 endif
 
 libm = cc.find_library('m', required : false)
+glib_dep = dependency('glib-2.0', version: glib_req)
+gobject_dep = dependency('gobject-2.0', version: glib_req)
 gio_dep = dependency('gio-2.0', version: glib_req)
 gmodule_dep = dependency('gmodule-no-export-2.0')
 # gio-unix-2.0 is used by sys/bluez
diff --git a/sys/aja/meson.build b/sys/aja/meson.build
index e2f4dce..d778c33 100644
--- a/sys/aja/meson.build
+++ b/sys/aja/meson.build
@@ -62,7 +62,7 @@ gstaja = library('gstaja',
   cpp_args : gst_plugins_bad_args + common_flags,
   include_directories : [configinc],
   link_args : noseh_link_args,
-  dependencies : [gstvideo_dep, gstaudio_dep, gstbase_dep, gst_dep, ajantv2_dep, thread_dep, rt_dep],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstaudio_dep, gstbase_dep, gst_dep, ajantv2_dep, thread_dep, rt_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/amfcodec/meson.build b/sys/amfcodec/meson.build
index 66018fc..301c45b 100644
--- a/sys/amfcodec/meson.build
+++ b/sys/amfcodec/meson.build
@@ -74,7 +74,7 @@ gstamfcodec = library('gstamfcodec',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args + extra_cpp_args,
   include_directories : [configinc, include_directories('include')],
-  dependencies : [gstbase_dep, gstvideo_dep, gstpbutils_dep, gstcodecparsers_dep, gmodule_dep] + platform_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstpbutils_dep, gstcodecparsers_dep, gmodule_dep] + platform_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/androidmedia/meson.build b/sys/androidmedia/meson.build
index bb0067a..dc78ec6 100644
--- a/sys/androidmedia/meson.build
+++ b/sys/androidmedia/meson.build
@@ -96,7 +96,7 @@ if have_jni_h or have_mlsdk
     androidmedia_sources,
     c_args : [gst_plugins_bad_args, extra_cargs],
     include_directories : [configinc],
-    dependencies : [gstgl_dep, gstpbutils_dep, gstaudio_dep, gstvideo_dep,
+    dependencies : [glib_dep, gobject_dep, gstgl_dep, gstpbutils_dep, gstaudio_dep, gstvideo_dep,
                     gstphotography_dep, gmodule_dep, orc_dep, extra_deps],
     install : true,
     install_dir : plugins_install_dir)
diff --git a/sys/applemedia/meson.build b/sys/applemedia/meson.build
index ebe839f..4d3f649 100644
--- a/sys/applemedia/meson.build
+++ b/sys/applemedia/meson.build
@@ -118,7 +118,7 @@ if applemedia_found_deps
         objcpp_args : gst_plugins_bad_args + applemedia_args + applemedia_objc_args + applemedia_objcpp_args,
         link_args : noseh_link_args,
         include_directories : [configinc, libsinc],
-        dependencies : [gstvideo_dep, gstaudio_dep, gstpbutils_dep, gst_dep, gstbase_dep, gstgl_dep, gstglproto_dep, gstcodecparsers_dep] + applemedia_frameworks,
+        dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstaudio_dep, gstpbutils_dep, gst_dep, gstbase_dep, gstgl_dep, gstglproto_dep, gstcodecparsers_dep] + applemedia_frameworks,
         override_options : ['cpp_std=c++11'],
         install : true,
         install_dir : plugins_install_dir,
diff --git a/sys/bluez/meson.build b/sys/bluez/meson.build
index 085b835..77b696b 100644
--- a/sys/bluez/meson.build
+++ b/sys/bluez/meson.build
@@ -25,7 +25,7 @@ if bluez_dep.found() and gio_unix_dep.found()
     bluez_sources, bluez_ch,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstrtp_dep, gstbase_dep, gio_unix_dep, bluez_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstrtp_dep, gstbase_dep, gio_unix_dep, bluez_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/d3d11/meson.build b/sys/d3d11/meson.build
index ff557be..f1b698d 100644
--- a/sys/d3d11/meson.build
+++ b/sys/d3d11/meson.build
@@ -138,7 +138,7 @@ gstd3d11 = library('gstd3d11',
   c_args : gst_plugins_bad_args + extra_c_args + extra_args,
   cpp_args: gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gmodule_dep, gstcontroller_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gmodule_dep, gstcontroller_dep,
                   gstd3d11_dep, gstdxva_dep, d2d_dep, directxmath_dep] + extra_dep,
   install : true,
   install_dir : plugins_install_dir,
diff --git a/sys/d3d12/meson.build b/sys/d3d12/meson.build
index 00db928..56f6ae1 100644
--- a/sys/d3d12/meson.build
+++ b/sys/d3d12/meson.build
@@ -114,7 +114,7 @@ gstd3d12 = library('gstd3d12',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args: gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstcodecs_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstcodecs_dep,
                   gstdxva_dep, d3d12_lib, d3d11_lib, d2d_dep, dxgi_lib,
                   dx_headers_dep],
   install : true,
diff --git a/sys/d3dvideosink/meson.build b/sys/d3dvideosink/meson.build
index 61ee39b..bb543a3 100644
--- a/sys/d3dvideosink/meson.build
+++ b/sys/d3dvideosink/meson.build
@@ -20,7 +20,7 @@ if d3d_dep.found() and gdi_dep.found() and have_d3d9_h
     d3dvideosink_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, d3d_dep, gdi_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, d3d_dep, gdi_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstd3dvideosink]
diff --git a/sys/decklink/meson.build b/sys/decklink/meson.build
index 94a77db..1b6e201 100644
--- a/sys/decklink/meson.build
+++ b/sys/decklink/meson.build
@@ -51,7 +51,7 @@ if build_decklink
     cpp_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
     link_args : decklink_ldflags + noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, gstaudio_dep, gstbase_dep, gst_dep] + decklink_libs,
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstaudio_dep, gstbase_dep, gst_dep] + decklink_libs,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/directshow/meson.build b/sys/directshow/meson.build
index e74886d..d57cf7b 100644
--- a/sys/directshow/meson.build
+++ b/sys/directshow/meson.build
@@ -65,7 +65,7 @@ gstdirectshow = library('gstdirectshow',
   c_args: gst_plugins_bad_args,
   cpp_args: gst_plugins_bad_args,
   include_directories: [configinc],
-  dependencies: [gstvideo_dep, gstaudio_dep] + dshow_deps,
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstaudio_dep] + dshow_deps,
   install: true,
   install_dir: plugins_install_dir,
   override_options: ['cpp_std=none']
diff --git a/sys/directsound/meson.build b/sys/directsound/meson.build
index 885f1d0..4522408 100644
--- a/sys/directsound/meson.build
+++ b/sys/directsound/meson.build
@@ -29,7 +29,7 @@ if dsound_dep.found() and winmm_dep.found() and ole32_dep.found() and have_dsoun
     directsoundsrc_sources,
     c_args : gst_plugins_bad_args + directsoundsrc_device_flags,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, dsound_dep, winmm_dep, ole32_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, dsound_dep, winmm_dep, ole32_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstdirectsoundsrc]
diff --git a/sys/dvb/meson.build b/sys/dvb/meson.build
index 0c334ad..fa6d7fe 100644
--- a/sys/dvb/meson.build
+++ b/sys/dvb/meson.build
@@ -36,7 +36,7 @@ if have_dvb
     dvb_sources,
     c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
     include_directories : [configinc, libsinc],
-    dependencies : [gstmpegts_dep, gstbase_dep],
+    dependencies : [glib_dep, gobject_dep, gstmpegts_dep, gstbase_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/dwrite/meson.build b/sys/dwrite/meson.build
index b7296f6..a71cb01 100644
--- a/sys/dwrite/meson.build
+++ b/sys/dwrite/meson.build
@@ -68,7 +68,7 @@ gstdwrite = library('gstdwrite',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args: gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstd3d11_dep, d2d_dep, dwrite_lib, dwrite_libcaption_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstd3d11_dep, d2d_dep, dwrite_lib, dwrite_libcaption_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/fbdev/meson.build b/sys/fbdev/meson.build
index 1a77fab..f5e1205 100644
--- a/sys/fbdev/meson.build
+++ b/sys/fbdev/meson.build
@@ -16,7 +16,7 @@ if have_fb_h
     fbdevsink_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/ipcpipeline/meson.build b/sys/ipcpipeline/meson.build
index 45cd8cb..a12db03 100644
--- a/sys/ipcpipeline/meson.build
+++ b/sys/ipcpipeline/meson.build
@@ -15,7 +15,7 @@ gstipcpipeline = library('gstipcpipeline',
   ipcpipeline_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep] + winsock2,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep] + winsock2,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/kms/meson.build b/sys/kms/meson.build
index dddd7d8..f197c6b 100644
--- a/sys/kms/meson.build
+++ b/sys/kms/meson.build
@@ -26,7 +26,7 @@ if libdrm_dep.found()
     kmssink_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep, gstallocators_dep, libdrm_dep, mathlib],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstallocators_dep, libdrm_dep, mathlib],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/magicleap/meson.build b/sys/magicleap/meson.build
index faeee9d..fe3615a 100644
--- a/sys/magicleap/meson.build
+++ b/sys/magicleap/meson.build
@@ -17,7 +17,7 @@ if libmlaudio_dep.found()
       '-fno-rtti',
     ],
     include_directories : [configinc, libsinc],
-    dependencies : [gst_dep, gstbase_dep, gstaudio_dep, libmlaudio_dep,
+    dependencies : [glib_dep, gobject_dep, gst_dep, gstbase_dep, gstaudio_dep, libmlaudio_dep,
                     liblumin_core_dep, liblumin_app_dep],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/sys/mediafoundation/meson.build b/sys/mediafoundation/meson.build
index 6b9a059..45fc317 100644
--- a/sys/mediafoundation/meson.build
+++ b/sys/mediafoundation/meson.build
@@ -114,7 +114,7 @@ if runtimeobject_lib.found()
       #if (WINVER < 0x0A00)
       #error "Windows 10 API is not guaranteed"
       #endif''',
-      dependencies: [mf_lib_deps, runtimeobject_lib],
+      dependencies : [glib_dep, gobject_dep, mf_lib_deps, runtimeobject_lib],
       name: 'building for WinRT')
 endif
 
@@ -168,7 +168,7 @@ gstmediafoundation = library('gstmediafoundation',
   c_args : gst_plugins_bad_args + extra_c_args,
   cpp_args : gst_plugins_bad_args + extra_cpp_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep, gstpbutils_dep, gmodule_dep] + mf_lib_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep, gstpbutils_dep, gmodule_dep] + mf_lib_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/msdk/meson.build b/sys/msdk/meson.build
index b73370c..ec8f855 100644
--- a/sys/msdk/meson.build
+++ b/sys/msdk/meson.build
@@ -179,12 +179,12 @@ if host_machine.system() == 'windows'
     error('msdk plugin can only be built with MSVC')
   endif
   legacy_stdio_dep = cc.find_library('legacy_stdio_definitions', required: get_option('msdk'))
-  msdk_deps = declare_dependency(dependencies: [gstd3d11_dep, legacy_stdio_dep])
+  msdk_deps = declare_dependency(dependencies : [glib_dep, gobject_dep, gstd3d11_dep, legacy_stdio_dep])
   msdk_deps_found = gstd3d11_dep.found() and legacy_stdio_dep.found() and cc.get_id() == 'msvc'
 else
   libdl_dep = cc.find_library('dl', required: get_option('msdk'))
   libgudev_dep = dependency('gudev-1.0', required: get_option('msdk'), allow_fallback: true)
-  msdk_deps = declare_dependency(dependencies: [gstva_dep, libdl_dep, libgudev_dep, libdrm_dep])
+  msdk_deps = declare_dependency(dependencies : [glib_dep, gobject_dep, gstva_dep, libdl_dep, libgudev_dep, libdrm_dep])
   msdk_deps_found = gstva_dep.found() and libdl_dep.found() and libgudev_dep.found() and libdrm_dep.found()
 endif
 
@@ -201,7 +201,7 @@ if msdk_deps_found
     msdk_sources,
     c_args : gst_plugins_bad_args + extra_args + onevpl_extra_args,
     include_directories : [configinc, mfx_inc],
-    dependencies : [gstbase_dep, gstvideo_dep, gstpbutils_dep, gstallocators_dep, gstcodecparsers_dep, mfx_dep, msdk_deps],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstpbutils_dep, gstallocators_dep, gstcodecparsers_dep, mfx_dep, msdk_deps],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/nvcodec/meson.build b/sys/nvcodec/meson.build
index 6ade635..99cb75e 100644
--- a/sys/nvcodec/meson.build
+++ b/sys/nvcodec/meson.build
@@ -105,7 +105,7 @@ gstnvcodec = library('gstnvcodec',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args,
   include_directories : plugin_incdirs,
-  dependencies : [gstbase_dep, gstvideo_dep, gstpbutils_dep, gstgl_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstpbutils_dep, gstgl_dep,
                   gstglproto_dep, gmodule_dep, gstcodecs_dep,
                   gstd3d11_dep, gstcuda_dep] + extra_deps,
   override_options : ['cpp_std=c++14'],
diff --git a/sys/opensles/meson.build b/sys/opensles/meson.build
index a4b2176..a23dee0 100644
--- a/sys/opensles/meson.build
+++ b/sys/opensles/meson.build
@@ -23,7 +23,7 @@ if have_opensles_h and opensles_dep.found()
     opensles_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, opensles_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, opensles_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstopensles]
diff --git a/sys/qsv/meson.build b/sys/qsv/meson.build
index cdb2011..fae0a92 100644
--- a/sys/qsv/meson.build
+++ b/sys/qsv/meson.build
@@ -92,7 +92,7 @@ gstqsv = library('gstqsv',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstcodecparsers_dep, libmfx_internal_dep] + qsv_platform_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstcodecparsers_dep, libmfx_internal_dep] + qsv_platform_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/shm/meson.build b/sys/shm/meson.build
index c40136b..f6f8e5a 100644
--- a/sys/shm/meson.build
+++ b/sys/shm/meson.build
@@ -36,7 +36,7 @@ if shm_enabled
     shm_sources,
     c_args : gst_plugins_bad_args + ['-DSHM_PIPE_USE_GLIB'],
     include_directories : [configinc],
-    dependencies : [gstbase_dep, rt_dep] + network_deps,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, rt_dep] + network_deps,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/tinyalsa/meson.build b/sys/tinyalsa/meson.build
index b62dbc2..11f104d 100644
--- a/sys/tinyalsa/meson.build
+++ b/sys/tinyalsa/meson.build
@@ -19,7 +19,7 @@ if have_tinyalsa
     'tinyalsa.c', 'tinyalsasink.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies : [gstbase_dep, gstaudio_dep, tinyalsa_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, tinyalsa_dep],
     install: true,
     install_dir: plugins_install_dir
   )
diff --git a/sys/uvcgadget/meson.build b/sys/uvcgadget/meson.build
index 0d3cbf4..f101bb6 100644
--- a/sys/uvcgadget/meson.build
+++ b/sys/uvcgadget/meson.build
@@ -31,7 +31,7 @@ if have_v4l2 and libgudev_dep.found()
     c_args : gst_plugins_bad_args,
     cpp_args: gst_plugins_bad_args,
     include_directories : [configinc, include_directories('../v4l2codecs')],
-    dependencies : [gstbase_dep, gstvideo_dep, gstallocators_dep, libgudev_dep, gstpbutils_dep,],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstallocators_dep, libgudev_dep, gstpbutils_dep,],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/uvch264/meson.build b/sys/uvch264/meson.build
index 69d4bb1..de887e3 100644
--- a/sys/uvch264/meson.build
+++ b/sys/uvch264/meson.build
@@ -18,7 +18,7 @@ if libgudev_dep.found() and libusb_dep.found() and has_uvcvideo_h
     uvch264_sources,
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep, gstallocators_dep,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstallocators_dep,
                     gstbasecamerabin_dep, libgudev_dep, libusb_dep],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/sys/v4l2codecs/meson.build b/sys/v4l2codecs/meson.build
index ffdc572..4c1f00b 100644
--- a/sys/v4l2codecs/meson.build
+++ b/sys/v4l2codecs/meson.build
@@ -42,7 +42,7 @@ if have_v4l2 and libgudev_dep.found()
     c_args : gst_plugins_bad_args,
     cpp_args: gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstcodecs_dep, gstallocators_dep, libgudev_dep,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstcodecs_dep, gstallocators_dep, libgudev_dep,
                    gstpbutils_dep,],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/sys/va/meson.build b/sys/va/meson.build
index 250b961..3794692 100644
--- a/sys/va/meson.build
+++ b/sys/va/meson.build
@@ -80,7 +80,7 @@ gstva = library('gstva',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstcodecs_dep, gstva_dep, libgudev_dep] + extra_dep,
+  dependencies : [glib_dep, gobject_dep, gstcodecs_dep, gstva_dep, libgudev_dep] + extra_dep,
   override_options : c_std_arg,
   install : true,
   install_dir : plugins_install_dir,
diff --git a/sys/wasapi/meson.build b/sys/wasapi/meson.build
index aba3ec5..f479964 100644
--- a/sys/wasapi/meson.build
+++ b/sys/wasapi/meson.build
@@ -45,7 +45,7 @@ if ole32_dep.found() and ksuser_dep.found() and have_audioclient_h
     c_args : gst_plugins_bad_args + wasapi_args,
     cpp_args: gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, ole32_dep, ksuser_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, ole32_dep, ksuser_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstwasapi]
diff --git a/sys/wasapi2/meson.build b/sys/wasapi2/meson.build
index 26d382d..71b7ecc 100644
--- a/sys/wasapi2/meson.build
+++ b/sys/wasapi2/meson.build
@@ -143,7 +143,7 @@ gstwasapi2 = library('gstwasapi2',
   c_args : gst_plugins_bad_args + ['-DCOBJMACROS'] + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args + extra_cpp_args,
   include_directories : [configinc],
-  dependencies : [gstaudio_dep, gstwinrt_dep] + wasapi2_dep,
+  dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstwinrt_dep] + wasapi2_dep,
   install : true,
   install_dir : plugins_install_dir)
 plugins += [gstwasapi2]
diff --git a/sys/wic/meson.build b/sys/wic/meson.build
index d179bf3..18901cf 100644
--- a/sys/wic/meson.build
+++ b/sys/wic/meson.build
@@ -71,7 +71,7 @@ gstwic = library('gstwic',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep] + wic_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep] + wic_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/win32ipc/meson.build b/sys/win32ipc/meson.build
index f2335a5..7cb0ae5 100644
--- a/sys/win32ipc/meson.build
+++ b/sys/win32ipc/meson.build
@@ -34,7 +34,7 @@ gstwin32ipc = library('gstwin32ipc',
   c_args : gst_plugins_bad_args,
   cpp_args: gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/winks/meson.build b/sys/winks/meson.build
index 2f4c29f..3904c25 100644
--- a/sys/winks/meson.build
+++ b/sys/winks/meson.build
@@ -22,7 +22,7 @@ if host_system == 'windows' and not winks_option.disabled()
     winks_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep] + winks_dep,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep] + winks_dep,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/winscreencap/meson.build b/sys/winscreencap/meson.build
index de12849..c6af39a 100644
--- a/sys/winscreencap/meson.build
+++ b/sys/winscreencap/meson.build
@@ -23,7 +23,7 @@ if d3d_dep.found() and gdi_dep.found() and have_d3d9_h
     winscreencap_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep, d3d_dep, gdi_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, d3d_dep, gdi_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
